2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui/AuthorInformation.cs:
	* MonoDevelop.Ide.StandardHeader/StandardHeaderService.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/AuthorInformationPanel.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/GlobalAuthorInformationPanel.cs:
	  Moved AuthorInformation to MD.Projects. Use the new
	  AuthorInformation added to Solution and SolutionItem. Track
	  api changes.

2010-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/RootWorkspace.cs: Pick a good default
	  configuration when loading a solution for the first time.
	  Fixes bug 627297 - Projects from VS.NET solution are not
	  build.

2010-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	  Don't show the project count in the solution node. That
	  space can be used for more useful things.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/EditCommands.cs:
	* MonoDevelop.Ide.Commands/ViewCommands.cs: Use delegation
	  methods.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Use the parser service
	  parser queue to update parse documents (=> fewer threads &
	  fixes a possible dead lock)

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide/RootWorkspace.cs:
	* MonoDevelop.Ide/ProjectOperations.cs: Changed document
	  parsing/text file provider now returns texteditordata
	  provider.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Be more carefully when
	  updating parsed documents.

2010-07-20  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Ensure that results are displayed once they come in for
	  mutable completion lists.

2010-07-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.ProgressMonitoring/BaseProgressMonitor.cs:
	  Better fix for Bug 617276 - MonoDevelop crashes when
	  clicking on a script error in Unity3d.

2010-07-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide/RootWorkspace.cs:
	* MonoDevelop.Ide/DesktopService.cs:
	* MonoDevelop.Ide.Desktop/RecentItem.cs:
	* MonoDevelop.Ide.Desktop/RecentOpen.cs:
	* MonoDevelop.Ide.Commands/FileCommands.cs:
	* MonoDevelop.Ide.Desktop/PlatformService.cs:
	* MonoDevelop.Ide.Desktop/RecentFileStorage.cs: Moved recent
	  files/projects lists to the desktopservice/platformservice
	  so it can be made platform-dependent.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Tasks/CommentTasksView.cs: Track API
	  changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/TextEditor.cs:
	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.Commands/EditCommands.cs:
	* MonoDevelop.Ide.Commands/ViewCommands.cs:
	* MonoDevelop.Ide.Tasks/CommentTasksView.cs:
	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs:
	* MonoDevelop.Ide.FindInFiles/FileProvider.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.Gui.Content/TextEditorExtension.cs:
	* MonoDevelop.Ide.Commands/CustomStringTagProvider.cs:
	* MonoDevelop.Ide.Navigation/NavigationHistoryService.cs:
	* MonoDevelop.Ide.StandardHeader/StandardHeaderService.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Replaced old text editor reminders with mono.texteditor &
	  renamed the texteditordata property to editor.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.Gui.Content/TextEditorExtension.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Text editor extensions are now based on the mono.texteditor
	  infrastructure.

2010-07-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide/ImageService.cs: Scale images when they
	  don't fit when composing icons (Bug 609979 - Icon size
	  errors).

2010-07-15  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide/RootWorkspace.cs:
	  Don't second-guess NeedsReload logic.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/TextEditor.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.Gui.Content/TextEditorExtension.cs:
	* MonoDevelop.Ide.CodeCompletion/ICompletionWidget.cs:
	* MonoDevelop.Ide.CodeCompletion/IParameterDataProvider.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	* MonoDevelop.Ide.CodeCompletion/ParameterInformationWindowManager.cs:
	  Worked on 'Bug 621658 - Parameter hints disappear
	  afterkeystroke'.

2010-07-14  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide/IdeStartup.cs:
	  Don't open projects as source files.

2010-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/SearchEntry.cs: Fixed potential issue
	  in search entry when reparenting.

2010-07-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Better comments
	  about OS X hacks.

2010-07-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Components/DropDownBox.cs:
	* MonoDevelop.Components/DropDownBoxListWindow.cs: Moved
	  dropdown box to components.

2010-07-13  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	  Restore previous window state at launch on OSX.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Extensions/TextEditorExtensionNode.cs:
	  Case-insensitive file extension comparison.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Track
	  ProjectDomService/Parser API.

2010-07-12  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide.ProgressMonitoring/BaseProgressMonitor.cs:
	  Fix #617276: MD crashes when clicking a script error in Unity3d.

2010-07-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: ':'
	  now automatically only filters files.

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Projects.OptionPanels/NamespaceSynchronisationPanel.cs:
	  Naming policies panel should be shown for all items that
	  contain DotNetProject, not just DotNetProject. 

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic: Flsuh.

	* Makefile.am:
	* gtk-gui/objects.xml: Removed objects.xml from the
	  Makefile.am since it's not in the project file and was
	  breaking the build when MD added a resource ID to the
	  makefile.

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: The "navigate forward/back"
	  commands now use the Xcode binding, and a similar binding on
	  Windows so they no longer block the subword navigation. Also
	  add a Mac binding for "move selection up/down"

2010-07-09  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide/RootWorkspace.cs:
	  Implement less disk-intensive project autoupdate.

2010-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/SearchEntry.cs: taken out event
	  handler on destroy.

2010-07-08  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Components.Diff/Diff.cs:
	* MonoDevelop.Components/DropDownBoxListWindow.cs: Worked on
	  version control gui.

2010-07-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Removed unused
	  event handler (deletetolineend is handled by the text
	  editor).

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/PathBar.cs: Changed redrawing.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/PathBar.cs: Added bounds check.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/PathBar.cs: Improved resizing
	  behavior.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/PathBar.cs: fixed multi monitor
	  support.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/PathBar.cs: Path bar now supports a
	  right hand side.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/TextEditor.cs:
	* MonoDevelop.Ide.Gui/IBaseViewContent.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs:
	* MonoDevelop.Ide.Gui/AbstractBaseViewContent.cs: Worked on
	  navigation panel/content interface.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/PathBar.cs: Added the ability to show
	  a separator inside a path.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: Fixed 'Bug
	  619800 - Auto-complete of nothing shouldn't auto-complete as
	  void'.

2010-07-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Components/PathBar.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Gui.Content/IPathedDocument.cs: Worked on
	  pathed document subsystem.

2010-06-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/IWorkbenchWindow.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Gui/HiddenWorkbenchWindow.cs: Addeds subview
	  contents to the interface.

2010-06-29  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Ide.Extensions/MimeTypeOptionsPanelNode.cs: Make
	  the label localizable.

2010-06-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Exposed workbench window.

2010-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Navigation/NavigationHistoryService.cs: When
	  clearing the navigation history, don't reuse the current
	  item since it is destroyed by the clear method. Should fix
	  bug #606557 - Invalid items in history service.

2010-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Docking/DockItemContainer.cs: Added
	  missing null checks. Fixes bug #613437 - Null Reference
	  Exception on loading a project.

2010-06-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Docking/DockBarItem.cs: Don't hide
	  the item if the mouse pointer is inside the window. Fixes
	  bug #565714 - Autohidden pads hide when viewing treeview
	  tooltips.

2010-06-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Fixed 'Bug 617382 - Parameter list tooltip is not hidden
	  when pressing ctrl+left arrow'.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionData.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 616653 - "import symbol" does not resolve full
	  typenames'.

2010-06-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/CustomStringTagProvider.cs: Add
	  string tag for the config directory. Implements 615677 -
	  Make the config folder variable available in custom
	  commands.

2010-06-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Only update
	  changed lines.

2010-06-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Fixed 'Bug
	  615831 - Texteditor is not invalidated after remove trailing
	  wihte spaces action'.

2010-06-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Move
	  the consumed shift modifier restoration to a more
	  appropriate place. Add a better comment.

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/RootWorkspace.cs: Disabled
	  OnRunProjectChecks timeout because it churns disk, wastes
	  power on laptop.

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs:
	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: when there are
	  no matches, display a message to indicate that the
	  completion list is still handling input

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Set icon for the default code
	  formatting policies panel group to match the per-item one.

	* MonoDevelop.Ide.Desktop/PlatformService.cs: Handle icon for
	  text/plain mimetype.

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Desktop/PlatformService.cs: Add a
	  description for the text/plain mimetype.

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Remove nonexistent icon.

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Projects.OptionPanels/CodeFormattingPanel.cs:
	  Only show mimetypes with policies.

2010-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Remove debug writelines. Disable
	  process-enter-on-exact-match behaviour change or now.

2010-06-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs: Reset
	  custom size requests before calculating the real size
	  request. Fixes issue when getting the default size.

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Ensure the default
	  layout is set after loading the workbench memento.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* icons/SplashScreen.png: Updated.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Add new
	  contributors.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* BuildVariables.cs: Bump MD version.

2010-06-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Fixed 'Bug
	  613539 - DOBa does not complete to DynamicObjectBase'.

2010-06-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionData.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 613830 - Aggressive auto-complete list matching
	  of keywords interferes with typing'.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/DesktopService.cs:
	* MonoDevelop.Ide.Desktop/PlatformService.cs: Added
	  CanOpenTerminal/OpenInTerminal.

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FileOperationsBuilderExtension.cs:
	  Use platform service CanOpenTerminal/OpenInTerminal instead
	  of hardcoded gnome-terminal.

2010-06-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/FileTemplate.cs: Use
	  List<FileTemplate> not ArrayList.

	* MonoDevelop.Ide.Projects/NewFileDialog.cs: Sort the template
	  list by name.

2010-06-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Always use the original identifier for ${Name}, not the new
	  constructed filename. Makes things easier in templates that
	  produce multiple files.

	* MonoDevelop.Ide.Templates/FileTemplate.cs: Track
	  SingleFileDescription template API.

2010-06-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/ToolsCommands.cs: Use the correct
	  tag model when parsing the working directory and command.

2010-06-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs: Fix GTK
	  warnings.

2010-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Docking/DockFrame.cs:
	* MonoDevelop.Components.Docking/DockBarItem.cs: Resize the
	  autohide frame when the main frame size changes. Fixes bug
	  #611071 - Resizing while output window is open doesn't
	  resizie the output window.

2010-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs: Don't
	  enable the arrow button by default. This is handled by
	  DockToolbarPanel.

	* MonoDevelop.Components.DockToolbars/DockToolbarPanel.cs:
	  Improved toolbar resizing algorithm in PackRow. Instead of
	  reducing size in all toolbars pixel by pixel, it will now
	  reduce button by button. Fixes bug #545746 - Toolbar on
	  small screens.

2010-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs: Disable
	  custom drawing on the toolbar background since it hides the
	  arrow button.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectTemplate.cs:
	* MonoDevelop.Ide.Templates/SolutionDescriptor.cs:
	* MonoDevelop.Ide.Templates/SolutionItemDescriptor.cs: Lookup
	  solution types through the add-in instance. Fixes bug
	  #610150 - Unable to create Packaging Project.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Disable
	  data item check in the default command handler since it may
	  cause regressions.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Bypass the
	  cut/copy/paste commands if the current view doesn't support
	  it.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.AutoTest/AutoTestSession.cs: The
	  current object is now always the active widget unless some
	  other specific object is set.

	* MonoDevelop.Components.AutoTest/AutoTestService.cs: Added
	  basic support for recording a test session.

	* MonoDevelop.Components.Commands/CommandInfo.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/CommandArrayInfo.cs: Notofy
	  key presses through the new KeyPressed event. Include the
	  selected data item in the CommandActivated event args.
	  Properly notify CommandActivated event when running the
	  default handler of a command.

	* MonoDevelop.Components.Commands/ActionCommand.cs: Removed
	  DispatchCommand and UpdateCommandInfo virtuals. They are not
	  used and makes things more complex in the command manager.

	* MonoDevelop.Ide.Desktop/RecentItem.cs: Implemented Equals.

2010-05-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/AlertDialog.cs: Allow selecting
	  text.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/SearchResult.cs: Fixed 'Bug
	  610092 - Navigate to dialog'.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	  Don't show the parameterization options if none of the
	  supported execution modes is parameterizable. Fixes bug
	  #609679 - Unable to Set Custom Execution Commands for
	  ASP.NET projects.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Components/ProjectFileEntry.cs:
	* MonoDevelop.Ide.Projects/ProjectFileSelectorDialog.cs: Fix
	  incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: using
	  fast match for member searches.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Added bounds
	  check.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 601737 - Scrollbar range on completion list often
	  incorrect'.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 608058 - Completion list deselects if file was
	  reparsed'.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/TasksOptionsPanel.cs:
	  Properly store the selected tags list. Fixes bug #605218 -
	  Cannot modify Task List in preferences.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/CollectionEditor.cs:
	  Use ShowCustomDialog (which destroys the dialog when done)
	  instead of RunCustomDialog (which doesn't).

2010-05-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Commands/FileCommands.cs:
	* MonoDevelop.Ide.Projects/AddFileDialog.cs:
	* MonoDevelop.Components/SelectFileDialog.cs:
	* MonoDevelop.Components/SelectFolderDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OpenFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/FileSelectorDialog.cs:
	* MonoDevelop.Components.Extensions/ISelectFileDialog.cs:
	  Improved the platform dialog abstractions. Unified and
	  tidied code, factored code from OpenFileDialog, improved
	  support for file filters.

	* MonoDevelop.Ide.Gui/Document.cs: Use platform dialog for
	  OpenFile.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/SearchResult.cs:
	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: It's
	  now possible to search for fully qualified member names.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.ProgressMonitoring/MessageDialogProgressMonitor.cs:
	* MonoDevelop.Ide.ProgressMonitoring/MultiTaskDialogProgressMonitor.cs:
	  Dialog placement.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Commands/FileCommands.cs: Use platform
	  dialog, and dialog placement cleanup.

	* MonoDevelop.Ide.Gui.Dialogs/MultiMessageDialog.cs: More
	  dialog placement cleanup.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide/RootWorkspace.cs:
	* MonoDevelop.Ide/ProjectOperations.cs:
	* MonoDevelop.Ide.Commands/ViewCommands.cs:
	* MonoDevelop.Ide.Projects/AddFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OpenFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/FileSelectorDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/AddinLoadErrorDialog.cs:
	* MonoDevelop.Components.Extensions/ISelectFileDialog.cs:
	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	* MonoDevelop.Ide.Execution/MonoExecutionParametersWidget.cs:
	* MonoDevelop.Ide.Projects.OptionPanels/CodeFormattingPanel.cs:
	* MonoDevelop.Ide.Execution/CustomExecutionModeManagerDialog.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/TextEditorDialog.cs:
	* MonoDevelop.Ide.Projects.OptionPanels/SolutionItemConfigurationsPanel.cs:
	  More dialog placement cleanup.

	* MonoDevelop.Ide.Gui.OptionPanels/MonoRuntimePanel.cs:
	* MonoDevelop.Ide.Projects.OptionPanels/CustomCommandWidget.cs:
	  Use platform dialog.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs: Mark window as a
	  popup, so the command manger doesn't intercept keystroke.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: In
	  GetCommandInfo, reset the bypass flag before calling the
	  default handler.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Make
	  MapRawKeys public.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs: Map keys.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/PangoCairoHelper.cs: Pre-emptively
	  fix calling conventions for pangocairo on Windows.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/objects.xml: Flush.

	* MonoDevelop.Ide/MessageService.cs:
	* MonoDevelop.Ide/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Components.Commands/LinkCommandEntry.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/CollectionEditor.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/FlagsSelectorDialog.cs:
	  More dialog placing.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/ProjectOperations.cs: Don't destroy
	  references dialog.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToCommand.cs:
	  Dialog placement.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/OptionsDialog.cs: Revert
	  show/hide changes as they make the panels behave weirdly.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/MessageService.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OptionsDialog.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Mac dialog
	  placement tweaks.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Components/ProjectFileEntry.cs: Don't
	  null the value if the file doesn't exist in the project,
	  since this may wipe existing bad values. Add an
	  VerifyFileExistsInProject property to opt into the old
	  behaviour.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Projects/ProjectFileSelectorDialog.cs: Added
	  docs and convenience API.

	* gtk-gui/MonoDevelop.Ide.Projects.ConfirmProjectDeleteDialog.cs:
	  Flush.

	* MonoDevelop.Components.Extensions/ISelectFileDialog.cs:
	  Added ability to set filters in the dialogs.

	* MonoDevelop.Components/FolderDialog.cs:
	* MonoDevelop.Components/FileSelector.cs: Make internal.
	  People should be using the platform file dialog API.

	* MonoDevelop.Ide.Projects/AddFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OpenFileDialog.cs: Use file
	  filters.

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	  Track dialog API.

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide/ProjectOperations.cs: Clean up dialog
	  placement.

	* MonoDevelop.Ide/MessageService.cs: New APIs for
	  showing/running dialogs, and placing dialogs.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/MenuButton.cs: Fix the View Conflicts
	  button.

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	  Fix the View Conflicts button, and focus issues.

	* gtk-gui/objects.xml: Flush.

2010-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/EditCommands.cs: Forward the delete
	  key to gtk if not processed.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: More
	  shift-tab fixage.

2010-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/EditCommands.cs: Set bypass flag if
	  Copy/Cut/Paste can't be handled, so that gtk can handle it.

	* MonoDevelop.Components.Commands/CommandManager.cs: When
	  executing a command from a shortcut, don't forward the key
	  press to gtk if the command was disabled, but do it if the
	  bypass flag was set. With this change, the F10 key won't
	  activate the main menu anymore when the step over command is
	  disabled.

2010-05-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Tasks/TaskService.cs: made informjumptotask
	  internal.

2010-05-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Tasks/Task.cs:
	* MonoDevelop.Ide.Tasks/TaskStore.cs:
	* MonoDevelop.Ide.Tasks/TaskService.cs: Added event to the
	  task service that informs of a jump to task command.

2010-05-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Fix
	  shift-tab brokenness.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* icons/SplashScreen.png: Updated.

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: Hide
	  the dialog separator. Not needed.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* BuildVariables.cs: Updated.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* options/KeyBindingSchemeEmacs.xml: Fix keybindings.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Fix keybindings.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Better
	  handling of mapping raw keys to commands. We now use the
	  keymap to consume shift keys when possible, except for
	  letters. This means commands should remain sane across
	  different keyboards, and will always be stored and displayed
	  concisely.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/TooltipWindow.cs: Try to fix
	  criticals.

2010-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/GtkUtil.cs: Hide the tooltip when the
	  tree is hidden. Made the code more robust. Fixes bug #606191
	  - Null reference "Unhandled Exception" caused by auto-hide
	  panel hiding while tooltip shows.

2010-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Set the
	  active location list every time a search is started.

2010-05-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Make code template insertion API less confusing.

2010-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs: In
	  CommitChanges, mark children of a node as deleted if the
	  node has been reset. Should fix bug #553903 - Solution pad
	  treeview crash.

2010-05-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/Ide.cs: Track api change.

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide/IdePreferences.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/MaintenanceOptionsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MaintenanceOptionsPanelWidget.cs:
	  Added option for enabling automated testing.

2010-05-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.AutoTest/AutoTestSession.cs:
	* MonoDevelop.Components.AutoTest/AutoTestService.cs:
	* MonoDevelop.Components.AutoTest/AutoTestClientSession.cs:
	  Allow attaching to a running test service.

2010-05-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.AutoTest\AutoTestService.cs:
	* MonoDevelop.Components.AutoTest\AutoTestClientSession.cs:
	  Access to the test server using an interface.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/TooltipWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/ParameterInformationWindowManager.cs:
	  Improved multi monitor support.-

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 490010 - Completion window hangs off bottom of
	  the screen w/ dual-head "stretched desktop"'

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Fixed 'Bug
	  604997 - Inconsistent behaviour in completion list'.

2010-05-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Components.AutoTest:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.AutoTest/AutoTestSession.cs:
	* MonoDevelop.Components.AutoTest/AutoTestService.cs:
	* MonoDevelop.Components.AutoTest/AutoTestClientSession.cs:
	  Added some experimental and basic support for automated gui
	  testing.

2010-05-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Emit the Closed
	  event before disposing the view. In this way other
	  extensions can properly unsubsribe events bound to the view.

2010-05-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 605872 - Completion tooltips are never dismissed
	  if the completion list is hidden too quickly'.

2010-05-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Don't use
	  expose clipbox as the window width. Fixes redrawing issue.
	  Also cache Allocation and GCs to avoid wasteful transitions
	  and allocations.

	* MonoDevelop.Components/ListView.cs: Draw on the expose
	  event's Window. Also cache Allocation and GCs to avoid
	  wasteful transitions and allocations.

2010-05-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Projects/NewProjectDialog.cs: Added new
	  GetDefaultTargetPlatform virtual to DotNetProject. It is
	  overriden in DotNetAssemblyProject to set the default
	  configuration for exes (x86).

2010-05-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolderNodeBuilder.cs:
	  If a folder can't be deleted, show the error and just remove
	  it from the project. Added support for 'apply to all' in the
	  confirmation dialog.

2010-05-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Don't dispose the
	  command manager until we know for sure that we are exiting.
	  Should fix bug #605393 - Error while building code.

2010-05-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Navigation/HistoryList.cs:
	* MonoDevelop.Ide.Navigation/NavigationPoint.cs:
	* MonoDevelop.Ide.Navigation/NavigationHistoryItem.cs:
	  Improved handling of disposal of navigation points. Avoid
	  creating event handlers.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Navigation/NavigationHistoryItem.cs:
	  Intercept dispose event and change the sender so the
	  HistoryList doesn't explode.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Change 'Browse Next/Previous'
	  command names to 'Show Next/Previous' to match the name that
	  the search and error pads set.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: (Revert revision 157026)

2010-05-12  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Navigation:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Tasks/TaskStore.cs:
	* MonoDevelop.Ide.Gui.Content/INavigable.cs:
	* MonoDevelop.Ide.Gui.Content/ILocationList.cs:
	* MonoDevelop.Ide.Commands/NavigationCommands.cs:
	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/TextFileNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/NavigationHistoryService.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Moved
	  navigation service to a new namespace.

	* MonoDevelop.Ide.Navigation/HistoryList.cs:
	* MonoDevelop.Ide.Navigation/NavigationPoint.cs:
	* MonoDevelop.Ide.Navigation/NavigationHistoryItem.cs:
	* MonoDevelop.Ide.Navigation/TextFileNavigationPoint.cs:
	* MonoDevelop.Ide.Navigation/DocumentNavigationPoint.cs:
	* MonoDevelop.Ide.Navigation/NavigationHistoryService.cs:
	  Properly dispose navigation points.

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/DeclarationViewWindow.cs:
	  Fixed 'Bug 604824 - Overloads tooltip should display
	  non-obsolete overloads first'.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/TextFileNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/NavigationHistoryService.cs: Disable nav
	  point snippets as they currently aren't used - and they
	  should really be created lazily.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionDataList.cs: fixed
	  warning/removed unecessary method.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.CodeCompletion/DisplayFlags.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionData.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeCompletion/ICompletionData.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionDataList.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionCategory.cs:
	* MonoDevelop.Ide.CodeCompletion/MemberCompletionData.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/IMemberCompletionData.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	  Made the code completion system a more consistent (Removed
	  interfaces, provided common base class - easier to extend),
	  ActionCompletionData in conjunction with completion history
	  now works correctly. Custom CompletionData now has access to
	  the list window as well (Required for more complex insert
	  actions).

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: filter
	  matches.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	  disabled the ListWidget.Matches usage.

2010-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: When
	  converting an acronym match to a substring match, include
	  the original acronym char in the current substring. Fixes
	  bug #485376 - Go-to-file acronym matching inconsistent.

2010-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Docking/DockGroup.cs: In
	  RestoreAllocation, make a copy of the items list because
	  RestoreAllocation can fire events such as VisibleChanged,
	  and subscribers may do changes in the list. Should fix bug
	  #600869 - Exception while switching layout from 'Solution'
	  to 'Default' using the tool bar.


2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/IdeStartup.cs: Add command line argument to
	  enable instrumentation service logging.

	* MonoDevelop.Ide.Gui/DockItemToolbarLoader.cs:
	* MonoDevelop.Components.Commands/CommandMenu.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/CommandToolbar.cs:
	* MonoDevelop.Components.Commands/CommandMenuItem.cs:
	* MonoDevelop.Components.Commands/ICommandUserItem.cs:
	* MonoDevelop.Components.Commands/CommandToolButton.cs:
	* MonoDevelop.Components.Commands/CommandCheckMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandToggleToolButton.cs:
	  Added CommandTargetRoute type, which will be used to cache
	  information command target chains.

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Improved
	  handling of status icons. Avoid creating too many images
	  when animating.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: Changed some mac shortcuts.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: Changed the key for shownext/prev
	  on mac.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Search
	  results now have exacter navigation points.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/ImageService.cs: When creating internal ids
	  for icons loaded from resources, take into account the
	  requested size, since the same resource may be used to
	  create icons for different sizes. Fixes bug #603709 -
	  Missing Debug Icon.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Don't close
	  documents when closing the workspace, since they are closed
	  later on. Fixes bug #603720 - quiting edited project -- MD
	  asks twice to quit.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Update
	  zoom commands according to the zoom status.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide/ProjectOperations.cs: Fixed 'Bug 604040 - Go
	  to declaration doesn't work for a property which is from a
	  base partial class'.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/ParameterInformationWindowManager.cs:
	  Fixed 'Bug 603987 - Parameters tooltip shows over completion
	  list'/parameter list now doesn't jump anymore.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/FileScout.cs: Fix incorrect check
	  when setting the sensitivity of the Go Up button.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: only use
	  history for small partial words.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: added null check.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 602061 - Completion list tooltips should hide
	  when selected item scrolled out of view'.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Added Dom
	  property to document. This is the safest way to get the Dom
	  assoziated with an open document. It NEVER returns null. It
	  creates a special file only dom for files that are not bound
	  to a project.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Fix 'Bug
	  603344 - Matching in completion list'.

2010-05-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.csproj: Disable overflow checks.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide/ProjectOperations.cs: Delay project service
	  loading.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide/ProjectOperations.cs: Fixed 'Bug 603119 -
	  Go-to-definition doesn't work with locals'.

2010-05-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/CompactScrolledWindow.cs: Shrink
	  spacing more.

2010-05-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Fix
	  cmd-scroll zoom on Mac. Use more conventional direction for
	  zooming.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Removed some event
	  handlers on close.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/NavigationHistoryService.cs: Take out
	  event handler.

2010-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/TooltipWindow.cs: FIX leak caused by
	  transparency decorators.

2010-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CustomTools/CustomToolService.cs: Better
	  warning message.

2010-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CustomTools/CustomToolService.cs: Cancel
	  running tasks before re-running generator on same file.

2010-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CustomTools/CustomTool.cs:
	* MonoDevelop.Ide.CustomTools/CustomToolService.cs:
	* MonoDevelop.Ide.Extensions/CustomToolExtensionNode.cs: Make
	  custom tools cancellable, and add an output pad for viewing
	  their output and cancelling them.

2010-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/Workspace.xpt.xml: Set correct assembly name for
	  the Workspace type. Fixes bug #602522 - Can't create a
	  workspace.

2010-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/FileBrowser.cs: Properly
	  start the file browser. Fixes bug #484598 - Attempting to
	  open folder with Nautilus in XFCE.

2010-05-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Remove
	  unnecessary fix for the IntPtr problem.

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Status bar
	  status boxes are no longer overwriting each other & fixed
	  little status bar leak.

2010-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.Dialogs/NewLayoutDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewLayoutDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	  Show validation messages for new layout names.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Remove unused
	  variable.

	* gtk-gui/objects.xml: Flush.

2010-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Fix hiding toolbars
	  in full view mode, and destroying of toolbar layouts.

2010-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Commands/ViewCommands.cs: Simplify.

	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs: Use
	  generics. Add API for removing layouts.

	* MonoDevelop.Ide.Gui.Dialogs/NewLayoutDialog.cs: Restrict the
	  names users can give layouts.

	* MonoDevelop.Ide.Gui/LayoutComboBox.cs: Track API, don't call
	  costly property multiple times.

	* MonoDevelop.Ide.Gui/Workbench.cs: Tweak API.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Fix full view mode
	  switching. Hide toolbars in full view mode. Destroy full
	  view layouts after use so they don't diverge from the normal
	  layouts.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/FixedWidthWrapLabel.cs: Dispose
	  pango.layout.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Remove
	  event handler on toolbar destroy.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide/ImageService.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Dispose created
	  pixbufs.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.StandardHeader/GPL2LicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/GPL3LicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/LGPL3LicencePolicy.xml:
	* MonoDevelop.Ide.CodeFormatting/MonoTextStylePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/NewBSDLicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/MITX11LicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/Apache2LicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/LGPL2-1LicencePolicy.xml:
	* MonoDevelop.Ide.CodeFormatting/VisualStudioTextStylePolicy.xml:
	  Added attribute to explicitly allow differential
	  serialization for a policy (which is disabled by default).

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Docking/DockItemContainer.cs: Destroy
	  allocated pattern.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml: On Windows, show the global
	  options command in the Tools menu.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Docking/ShadedContainer.cs: Call
	  Destroy instead of Dispose - dispose seems not to be
	  available for windows.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/SplashScreen.cs: Correctly
	  release splash-screen resources.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Docking/ShadedContainer.cs: Dispose
	  pattern after use.

2010-04-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: Add = to the
	  chars that can commit the selection.

2010-04-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Fix destroy
	  order.

2010-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/TextFileNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/NavigationHistoryService.cs: Navigation
	  point log fixes.

2010-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/PathBar.cs:
	* MonoDevelop.Components/SearchEntry.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs:
	* MonoDevelop.Ide.CustomTools/CustomToolService.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/StringTagSelectorButton.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Fix warnings.

2010-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Tasks/TaskStore.cs: Don't generate
	  navigation points for tasks which don't have a file name.

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs: Revert check
	  for return value of Show, since it should always work.

	* MonoDevelop.Ide.Gui/TextFileNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/NavigationHistoryService.cs: Improved
	  navigation point logging logic.

	* MonoDevelop.Ide.Gui/TextEditor.cs: New event.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Custom completion lists now support trigger words.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Did some
	  performance optimizations on the completion list.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: Fixed 'Bug
	  601167 - IntelliSense keeps picking the wrong entry'.

2010-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs: Unbreak
	  document navigation.

2010-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	  Track AddFilesToProject API.

	* MonoDevelop.Ide/ProjectOperations.cs: Handle adding link
	  files to subdirectories of a project in AddFilesToProject
	  method. Tidy up a lot.

2010-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Remove
	  underscores from Page_Up/Page_Down when displaying.

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolderNodeBuilder.cs:
	  Use some generic API.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/AbstractBaseViewContent.cs: ViewContent
	  widgets are now destroyed by the workspace window.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Manually call
	  'box.Destroy ()' (work around for the IntPtr bug).

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Try to
	  fix an IntPtr exception caused by accessing a invalid
	  FocusChild.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/NavigationHistoryService.cs: found
	  better fix for 'Bug 600657 - "Show Previous Warning/Error"
	  fails when there are warnings without file offsets'.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs: Fixed 'Bug
	  600657 - "Show Previous Warning/Error" fails when there are
	  warnings without file offsets'.

2010-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Desktop/PlatformService.cs: Track API, build
	  build.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* BuildVariables.cs: Require Mono 2.6.1. Updated version
	  label.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide\IdeStartup.cs: Add missing unchecked block.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs:
	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: Optimized
	  performance a bit.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Don't
	  use FontDesc to change the font of the text renderer, since
	  it overrides the font weight specified using markup. Fixes
	  bug #595975 - Start project is no longer highlighted.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	* MonoDevelop.Ide.NavigateToDialog/ResultsDataSource.cs:
	  Ensured that the workers are working on a non-shared state.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionData.cs:
	* MonoDevelop.Ide.CodeCompletion/ICompletionData.cs:
	* MonoDevelop.Ide.NavigateToDialog/ResultsDataSource.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs: code
	  completion list now can show descriptions & code completion
	  list now has a width resize for long items.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Improved
	  completion filtering.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Fixed 'Bug
	  599684 - Wrong text link in the 2,3,etc lines of the
	  template'.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	  Added missing null check.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Workaround for
	  gtk-sharp bug #600463. The OnPageAdded override makes MD
	  crash on windows.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  It's now possible to do custom code completion popups.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: Changed shortcut.

2010-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Components.Docking/ShadedContainer.cs: Optimize
	  rendering of the shaded background.

2010-04-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: Show a
	  message while searching. Remove debug code.

2010-04-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Execution/ParameterizedExecutionHandler.cs:
	  Make IProcessAsyncOperation IDisposable.

2010-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Projects/NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Projects.NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Projects.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.NavigateToDialog.NavigateToDialog.cs:
	  Improved look of the New File dialog.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	* gtk-gui/MonoDevelop.Ide.NavigateToDialog.NavigateToDialog.cs:
	  made the default size of the navigate to dialog bigger.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Changed
	  destroying order. (tab label is used during the Close event
	  chain).

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Destroying the
	  tabLabel with destroy and not with dispose.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/SearchResult.cs:
	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	* MonoDevelop.Ide.NavigateToDialog/ResultsDataSource.cs:
	  Optimized ambience.GetString calls.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Removed the
	  box.Remove (control needs to be in the destroy chain).

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/SearchResult.cs: Corrected
	  full name type highlighting.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.NavigateToDialog/SearchResult.cs:
	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	* MonoDevelop.Ide.NavigateToDialog/ResultsDataSource.cs: Moved
	  the navigate to threading model from semaphores to
	  background workers.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	  navigate to dialog now remembers the window size.

2010-04-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: Don't
	  include the project folder in the relative name.

2010-04-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: Order
	  by rank.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: Show
	  file path in the description. if it's truncated from the
	  match.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Try to
	  fix a intptr exception alan had.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	  Corrected use full name for types.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: Worked
	  on navigate to dialog.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	  changed file search behavior to the old one.

2010-04-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/DesktopService.cs: Track last minute change.

2010-04-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Desktop/PlatformService.cs: External console
	  processes are now wrapped by a IProcessAsyncOperation
	  interface, instead of a Process instance. In this way it is
	  possible to create external consoles which are not directly
	  bound to a process.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Set document tag.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: changed navigate to mac shortcut.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Fixed 'Bug 598828 – Completion window should not move
	  relative to caret as it shrinks'.

2010-04-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs: Remove
	  unnecessary check that forces the loading of the class.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: Set navigate to shortcut key.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	  Corrected member filtering.

2010-04-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.NavigateToDialog:
	* MonoDevelop.Components/ListView.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.Commands/SearchCommands.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.GoToDialog.cs:
	* MonoDevelop.Ide.NavigateToDialog/NavigateToDialog.cs:
	* MonoDevelop.Ide.NavigateToDialog/NavigateToCommand.cs:
	* gtk-gui/MonoDevelop.Ide.NavigateToDialog.NavigateToDialog.cs:
	  Worked on go to dialog. (go to file/type are unaffected in
	  function - only the gui changed). Added 'Navigate To'
	  command which allows to navigate to any file/type/member.

2010-04-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolder.cs: Use
	  canonical paths when comparing paths.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Don't update
	  cursor/mode labels when they're already empty.

2010-04-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/DispatchService.cs: Added new
	  BackgroundDispatchAndWait method.

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Add support for
	  progress bar with auto-pulse.

2010-04-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: Fixed 'Bug
	  598728 - Code completion does not commit on generics >'.

2010-04-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/StartupInfo.cs: Remove unnecessary
	  static data. Clean up some API.

2010-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/ProjectOperations.cs: Make 'quit while
	  running' question dialog clearer.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Don't follow
	  through with quitting if the workspace cancelled the close
	  request.

2010-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Pads/TaskListPad.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs:
	* MonoDevelop.Ide.Gui.Pads/MonodocTreePad.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyGridTree.cs:
	  Free up wasted space between scrollbars and treeview
	  contents.

	* MonoDevelop.Components/CompactScrolledWindow.cs: New widget,
	  ScrolledWindow with style overridden to have less padding
	  inside.

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Added file.

2010-04-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionWindowManager.cs:
	* MonoDevelop.Ide.CodeCompletion/ParameterInformationWindowManager.cs:
	  Fixed 'Bug 598199 - Parameters tooltip shows over completion
	  list'.

2010-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs: Add null check
	  when adding type results. It may happen if the type failed
	  to load for some reason. Added a timer.

2010-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/DispatchService.cs:
	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs: Don't queue
	  gui calls if the current thread is already the gui thread.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Fix dock item
	  removal. It was unregistered too early.

2010-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Docking/ShadedContainer.cs: Don't
	  store screen coordinates because those may change if the
	  main window is moved. Should fix bug #595192 - Pad shadow
	  rendering issues.

2010-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Remove
	  duplicate log write.

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Draw the resize
	  grip using the shaded background color.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: The resize grip
	  must always be visible in Mac. On other platforms show it
	  only when not maximized.

2010-04-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ProgressMonitors.cs:
	* MonoDevelop.Ide.Gui.Components/LogView.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	* MonoDevelop.Ide.Gui/StatusProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Ide.FindInFiles/SearchProgressMonitor.cs: When
	  clicking over the status bar, activate the pad that
	  generated the status message being shown. For example, if
	  the status bar shows "Build: 1 error", show the errors pad
	  when clicking on that.

	* MonoDevelop.Ide/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	  Fix warning.

	* MonoDevelop.Ide.Gui.Pads/TaskListPad.cs: Fix nullref.

2010-04-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide/IdePreferences.cs: Added command to turn off
	  message bubbles by default.

2010-04-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/GtkUtil.cs: Remove timers when the
	  tree is destroyed.

2010-04-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/SearchEntry.cs: Fixed 'Bug 596635 -
	  Missing icon error on OS X when showing search'.

2010-04-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Docking/DockItemContainer.cs: Remove
	  the horizontal gradient on the docked pad header, as it
	  clashes with the vertical gradient on the pad toolbars.

2010-04-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DockItemToolbarLoader.cs:
	* MonoDevelop.Components.Commands/CommandMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandToolButton.cs:
	* MonoDevelop.Components.Commands/CommandCheckMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandToggleToolButton.cs:
	  Pass source type to command dispatch.

	* MonoDevelop.Components.Commands/CommandManager.cs: Add
	  command dispatch events, and source type parameter and
	  overloads.

2010-04-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/ConfigurationComboBox.cs: Fix font size
	  with small toolbar.

2010-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs: Give priority
	  to items that have the match closer to the beginning of the
	  string (see Bug 595240 - Completion list filtering should
	  match on words not just at start).

	* MonoDevelop.Ide.CodeCompletion/DeclarationViewWindow.cs:
	  Added bounds check.

2010-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Fixed 'Bug 596511 - Code completion removes block selection
	  and only affects 1 line'.

2010-04-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/GtkUtil.cs: Propagate the scroll
	  event. Don't show the tooltip when clicking on the tree.
	  Fixes issue with double click.

2010-04-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Don't show empty tooltips.

2010-04-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Fixed possible null
	  reference exception.

2010-04-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/ProjectOperations.cs: Properly check if an
	  execution session has to be stopped when closing the current
	  solution. Missed the RootWorkspace case.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.Gui.Content/TextEditorExtension.cs:
	* MonoDevelop.Ide.Gui.Content/DocumentStateTracker.cs: It's
	  now possible to get the TextEditorData object from the
	  Document.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs: Implemented
	  'Bug 595240 - Completion list filtering should match on
	  words not just at start'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/TextEditorExtension.cs: Text
	  editor extensions are now disposing correctly.

2010-04-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs: If the
	  tree is re-populated while a value is being edited, the
	  focus that the value editor had is not returned back to the
	  tree. We need to explicitly get it.

2010-04-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ConfigurationComboBox.cs: Don't show
	  mnemonics for configuration and runtime names.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs: Implemented
	  command for 'Bug 595228 - Block selection should be usable
	  from keyboard'


2010-04-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui/Pad.cs: Show all pad categories in the
	  View menu.

2010-04-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/TreeViewState.cs: When restoring
	  state, if a node was selected and it now has been deleted,
	  try to select an adjacent node. Fixes bug 595176 - Next
	  breakpoint in BP pad should be selected after deleting a BP
	  and similar bugs in other views using TreeStateView.

2010-04-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/DeclarationViewWindow.cs:
	  Fixed declaration tooltip shows too much bug.

2010-04-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFileNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionFolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionFolderFileNodeBuilder.cs:
	  Add support for adding files to solution folders.

	* MonoDevelop.Ide/MessageService.cs:
	* MonoDevelop.Ide.Gui.Dialogs/AlertDialog.cs: Introduced the
	  MessageDescription hierarchy of classes, which allow setting
	  all message dialog settings in an object. It also adds
	  support for the Apply to All option and other custom
	  options.

	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs:
	  While in a transaction, make sure the OnNodeAdded event is
	  fired when the node is added, not when the transaction is
	  committed.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/Services.cs:
	* MonoDevelop.Ide/ProjectOperations.cs: Added build timers.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/EditCommands.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs: Added
	  DeleteKey command, which can be used to easily bind the
	  Delete key to command handlers.

2010-04-08  Aaron Bockover  <abockover@novell.com>

	* MonoDevelop.Components/SearchEntry.cs: Render the entry
	background flat box style "entry_bg" to properly draw the
	full entry (we were previously only drawing the shadow),
	which fixes a rendering bug in some themes - fix ported
	from Banshee

2010-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CodeCompletion/ListWindow.cs:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionWindowManager.cs:
	  Implemented 'Bug 572067 - Shortcut for toggling between
	  completion and suggestion mode'.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionFolderNodeBuilder.cs:
	  Add missing root folder check.

2010-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Fixed
	  'Bug 559804 - Strings in search result pad are
	  near-invisible'

2010-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Fix
	  build.

2010-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Handle
	  null ref in data func.

2010-04-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Docking/DockContainer.cs: Partial fix
	  dor bug 578531 - MD 2.2.1 Splitters only work if you move
	  reeaaallllyyyy slooowwwllly on OSX.

2010-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/SearchCommands.cs: Added use
	  selection for find/replace commands (for mac specific
	  behavior).

2010-04-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs: Fix
	  spelling, and make fade-in quicker.

2010-04-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/GtkUtil.cs: Properly free the
	  allocated event.

2010-04-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/ListWidget.cs:
	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  Handled possible null reference.

2010-04-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeCompletion/CompletionListWindow.cs:
	  worked on 'Bug 593232 - Intense flickering in OSX with
	  help/autocompletion on OSX'.

2010-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Implemented
	  'Bug 591436 - Cannot add the "$" symbol to the custom
	  template text'.

2010-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide/IdePreferences.cs: Changed message bubble
	  property keys.

	* gtk-gui/objects.xml: 

2010-03-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide/DesktopService.cs:
	* MonoDevelop.Ide.Desktop/PlatformService.cs: Moved external
	  console creation to the platform service.

2010-03-29  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide/IdeStartup.cs: Remove debug logging.

2010-03-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs: Fixed bug
	  #591785 - Unable to cast object of type 'Gtk.Alignment' to
	  type 'Gtk.Image'.

2010-03-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/DispatchService.cs: Strongly type queues,
	  and use an event instead of an active wait.

2010-03-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/Ide.cs: Exit returns bool indicating whether
	  user cancelled.

2010-03-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbarPanel.cs:
	  Worked around toolbar background rendering issues on Mac.

2010-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.FindInFiles/FileProvider.cs: Don't save the
	  file if nothing has been replaced.

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	* MonoDevelop.Ide.Templates/CodeTranslationFileDescriptionTemplate.cs:
	  HashtableToStringArray is not necessary. The string parser
	  service can directly handle a string dictionary.

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Commands/ToolsCommands.cs:
	* MonoDevelop.Ide.ExternalTools/ExternalTool.cs:
	* MonoDevelop.Ide.ExternalTools/ExternalToolPanel.cs:
	* MonoDevelop.Ide.Commands/CustomStringTagProvider.cs:
	* MonoDevelop.Ide.Gui.Components/StringTagSelectorButton.cs:
	* MonoDevelop.Ide.Projects.OptionPanels/CustomCommandPanel.cs:
	* MonoDevelop.Ide.Projects.OptionPanels/CustomCommandWidget.cs:
	* gtk-gui/MonoDevelop.Ide.ExternalTools.ExternalToolPanelWidget.cs:
	* MonoDevelop.Ide.Projects.OptionPanels/CustomCommandPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Components.StringTagSelectorButton.cs:
	* gtk-gui/MonoDevelop.Ide.Projects.OptionPanels.CustomCommandWidget.cs:
	  Use the new string tag model. Added a new
	  StringTagSelectorButton class.

	* MonoDevelop.Ide.Projects.OptionPanels/CombineConfigurationPanel.cs:
	  Sort the configurations list.

2010-03-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide/MessageService.cs: Use 'Ok' in error dialogs
	  for consistency with warning and info dialogs.

2010-03-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Desktop/DesktopApplication.cs: Properly
	  invoke the application process.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Docking/DockItem.cs: Set the focus to
	  the child widget instead of the docking container. Fixes bug
	  #561512 - Selecting floating pad from doc/pad switcher does
	  not focus it.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Ask before
	  restarting the execution of the solution. Fixes bug #561693
	  - Usability issues in debugger commands.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Revert last change.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Use corrent layout
	  configuration file name.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* BuildVariables.cs:
	* MonoDevelop.Ide.addin.xml: Bumped MD version.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs: Make the dialog
	  non-sensitive after pressing ok. Make sure the locations
	  list is not modified after getting it (should not happen
	  anymore after the previous change, but just in case). Fixes
	  bug #586575 - Goto dialog is not thread safe.

2010-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Added
	  some code to prevent 'Bug 589661 - Null ref aborting a
	  search'.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Updated.

	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide.Gui/StatusProgressMonitor.cs: Use the new
	  status bar model.

	* MonoDevelop.Ide/ImageService.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Show error and
	  warning icons in grayscale when there are no
	  errors/warnings.

	* MonoDevelop.Ide.Commands/ViewCommands.cs: Don't sort layouts
	  by name. Use the order in the extension point.

	* MonoDevelop.Components.Docking/DockGroup.cs:
	* MonoDevelop.Components.Docking/DockObject.cs:
	* MonoDevelop.Components.Docking/DockGroupItem.cs: Impoved the
	  logic that selects a dock bar where to show an autohide item
	  by default.

	* MonoDevelop.Components.Docking/DockItem.cs:
	* MonoDevelop.Components.Docking/DockFrame.cs:
	* MonoDevelop.Components.Docking/DockContainer.cs: Allow
	  setting the dock location of an item.

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Extensions/LayoutExtensionNode.cs: Added
	  extension point for registering stock layous. Assigned
	  default layouts for existing pads.

	* gtk-gui/objects.xml:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	  Flush.

	* MonoDevelop.Ide.Gui/InternalLog.cs:
	* MonoDevelop.Ide.Gui/AddinUpdateHandler.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	* MonoDevelop.Ide.Gui/BackgroundProgressMonitor.cs: New status
	  bar model. The status bar widget is hidden behind an
	  interface. Added support for status bar contexts. Status
	  information displayed through a context is cleaned up when
	  the context is disposed.

	* MonoDevelop.Ide.Gui/Pad.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/IPadContainer.cs:
	* MonoDevelop.Ide.Gui/WorkbenchMemento.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Merged
	  SdiWorkspaceLayout into DefaultWorkbench. Removed support
	  for workbench contexts.

	* MonoDevelop.Ide.Codons/PadCodon.cs: Allow setting the
	  default layout of a pad.

	* MonoDevelop.Ide.Codons/WorkbenchContextCondition.cs: Not
	  required anymore.

	* MonoDevelop.Ide.Tasks/TaskStore.cs: Show a better status
	  message when the end of the task list is reached.

2010-03-18  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide/Ide.cs:
	* MonoDevelop.Ide/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/StartupInfo.cs: Pass position
	  information to OpenFiles.

2010-03-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Optimized
	  status bar update.

2010-03-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Fixed 'Bug
	  589148 - Focus does not return to Find/Replace in Files
	  dialog'.

	* gtk-gui/objects.xml: 

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide/Services.cs:
	* MonoDevelop.Ide.Extensions/MimeTypeNode.cs:
	* MonoDevelop.Ide.Extensions/StockIconCodon.cs:
	* MonoDevelop.Ide.Extensions/OptionsPanelNode.cs:
	* MonoDevelop.Components.Extensions/MimeTypeNode.cs:
	* MonoDevelop.Ide.Extensions/OptionsDialogSection.cs:
	* MonoDevelop.Components.Extensions/StockIconCodon.cs:
	* MonoDevelop.Components.Extensions/OptionsPanelNode.cs:
	* MonoDevelop.Ide.Extensions/MimeTypeOptionsPanelNode.cs:
	* MonoDevelop.Components.Extensions/OptionsDialogSection.cs:
	* MonoDevelop.Ide.Projects.OptionPanels/CodeFormattingPanel.cs:
	* MonoDevelop.Components.Extensions/MimeTypeOptionsPanelNode.cs:
	  Moved to correct directory. Fixed namespace for
	  MimeTypeOptionsPanelNode.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	MD.Core.Gui and MD.Components into MD.Ide.

2010-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	  Implemented 'Bug 588618 - Find in Files: "Directories"
	  pattern should warn about non-existant path'.

2010-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Changed the
	  default error handling to: bubbles for errors & warnings,
	  never show error list automatically & jump to first error.

2010-03-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Commands/ToolsCommands.cs: Use new api for
	  starting the monitor.

2010-03-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Use
	  command-scroll instead of control-scroll on Mac, because
	  control-scroll is used by the window manager.

2010-03-15  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CustomTools:
	* MonoDevelop.Ide.CustomTools/CustomTool.cs:
	* MonoDevelop.Ide.CustomTools/CustomToolService.cs:
	* MonoDevelop.Ide.Extensions/CustomToolExtensionNode.cs: Added
	  custom tools service.

	* MonoDevelop.Ide.Gui/Ide.cs: Init the custom tools service at
	  startup.

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Allow setting generator.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/DragOperation.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.Components/NodeCommandHandler.cs: Added
	  DropPosition parameter to the drop methods.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Moved code for loading
	  user preferences to MD.Projects. Added some time counters.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide/Services.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Commands/ToolsCommands.cs: Use the new
	  timing counters.

2010-03-12  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Implement TCP IPC.

2010-03-12  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Implement TCP IPC.

2010-03-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	  Properly compare data objects.

2010-03-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Added
	  deadlock insanity check

	* MonoDevelop.Ide.Gui/TextEditor.cs: improved string/escape
	  char handling.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Content/ILocationList.cs: Add missing
	  file.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Remove unused files from project.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Make
	  better use of progress monitors. Use it to log the
	  directories being searched.

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Tasks/TaskStore.cs:
	* MonoDevelop.Ide.Tasks/TaskService.cs:
	* MonoDevelop.Ide.Commands/ViewCommands.cs:
	* MonoDevelop.Ide.Gui.Pads/ILocationListPad.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultPad.cs:
	* MonoDevelop.Ide.Gui/TextFileNavigationPoint.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Improved
	  Show Next/Previous command (F4). The list on which the
	  command works now has to be explicitly set using the
	  IdeApp.Workbench.ActiveLocationList.

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Added new files.

	* MonoDevelop.Ide.Commands/NavigationCommands.cs: Some api
	  changes.

	* MonoDevelop.Ide.Gui.Pads/FileScout.cs:
	* MonoDevelop.Ide.Tasks/ITaskListView.cs:
	* MonoDevelop.Ide.Tasks/UserTasksView.cs:
	* MonoDevelop.Ide.Gui.Pads/TaskListPad.cs:
	* MonoDevelop.Ide.Tasks/CommentTasksView.cs:
	* MonoDevelop.Ide.Gui.Pads/InternalLogPad.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPad.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPadWidget.cs:
	  Use the new DockItemToolbar for showing toolbar commands.

	* MonoDevelop.Ide.Gui.Components/LogView.cs:
	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs: Factorized
	  the widget which shows log from an IProgressMonitor from
	  DefaultMonitorPad into the new LogView widget.

	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Use the new
	  DockItemToolbar for showing toolbar commands. Integrated the
	  output pad into the errors list pad.

	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/IDEStyleOptionsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	  Added option for selection the GUI compactness.

	* MonoDevelop.Ide.Gui.OptionPanels/BuildMessagePanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildMessagePanelWidget.cs:
	  Removed option for showing the build output pad, since it is
	  now integrated into the errors pad.

	* MonoDevelop.Ide.addin.xml: Show the errors pad minimized by
	  default.

	* gtk-gui/gui.stetic: Updated.

	* MonoDevelop.Ide.Gui/HiddenWorkbenchWindow.cs: Fix warning.

	* MonoDevelop.Ide.Gui/OutputProgressMonitor.cs: Factorized
	  into the new LogView widget.

	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs:
	* MonoDevelop.Ide.Gui/NavigationHistoryService.cs: Changed the
	  api to be able to make the NavigationPoint class more
	  reusable. It is now being used by the Show Next/Previous
	  infrastructure.

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Embed the
	  bottom dock bar.

	* MonoDevelop.Ide.Gui/IPadContainer.cs: Added flags for
	  setting a pad as Working, HasErrors and HasNewData.

	* MonoDevelop.Ide.Gui/IWorkbench.cs:
	* MonoDevelop.Ide.Gui/IWorkbenchLayout.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Removed IWorkbech
	  and IWorkbenchLayout interfaces, which are internal and not
	  required anymore.

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Track misc api
	  changes. Implement the new IPadWindow.IsWorking, HasErrors
	  and HasNewData properties.

	* MonoDevelop.Ide.Gui/ProgressMonitors.cs: By default,
	  autohide dynamically created output pads. The build progress
	  monitor now shows the log in the errors list pad. Don't use
	  spaces in the output pad ids, since it may break
	  serialization into xml.

	* MonoDevelop.Ide.Gui/Pad.cs: Track class name changes.

	* MonoDevelop.Ide.Gui/DockItemToolbarLoader.cs: New utility
	  class with extension methods which allows loading a docking
	  toolbar from a command entry set.

	* MonoDevelop.Ide.Codons/PadCodon.cs: Allow setting a default
	  status for a pad (e.g. auto hide). Allow setting a custom
	  widget as label to show when the pad is in autohide mode.

	* MonoDevelop.Ide.Gui/SideBar.cs: New layout switcher. Not yet
	  used.

	* MonoDevelop.Ide.Gui/WorkbenchWindow.cs: New base class for
	  the root workbench window.

	* MonoDevelop.Ide.Gui/WorkbenchContext.cs: File renamed from
	  IWorkspace.

2010-03-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Gui.Dialogs/TipOfTheDay.cs:
	* MonoDevelop.Ide.Gui.Dialogs/AddinLoadErrorDialog.cs: Use
	  Mono.Options instead of Mono.GetOptions.

2010-03-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Fixed 'Bug
	  585668 - Exception in statusbar caused by
	  CompletionWindowManager'.

2010-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs: Implement
	  custom output pad font support.

2010-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdePreferences.cs: Remove duplicate
	  CustomPadFont property key migration; there's already
	  migration code in Ide.cs and only the actual usages were not
	  updated.

2010-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Handle
	  style change events and respect both zoom and custom fonts.

2010-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/PadFontChanger.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Fix
	  the custom pad font support. Apparently someone changed the
	  property key name without changing the things that used it.

	* MonoDevelop.Ide.Gui/IdePreferences.cs: Migrate the old pad
	  font size properties.

2010-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Codons/PadCodon.cs:
	* MonoDevelop.Ide.Gui/ProgressMonitors.cs: Fix pad
	  initialization issue.

2010-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Codons/PadCodon.cs:
	* MonoDevelop.Ide.Gui/IPadContainer.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Make sure pads
	  are properly initialized when accessing them through the Pad
	  wrapper object.

2010-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/TreeViewPad.cs:
	* MonoDevelop.Ide.Codons/SolutionPadCodon.cs: Delay the
	  initialization of the pad until the padWindow has been
	  attached to it. Propagate the pad Id.

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Added
	  support for zooming with control+wheel. Implemented the Zoom
	  in/out/reset commands.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Handle Link files
	  in TransferFiles.

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	  Handle Link files.

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/LinkedFilesFolder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/LinkedFilesFolderNodeBuilder.cs:
	  Not needed now we have proper Link file support.

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs: Handle Link
	  files, fix spelling.

	* MonoDevelop.Ide.addin.xml: Remove LinkedFilesNodesBuilder
	  now links are in the main directory tree.

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Removed files.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Added message
	  for describing the category mode keyboard switch when the
	  code completion window is shown.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui.Content/ITextEditorResolver.cs:
	  Refactored text editor resolve providers. Language bindings
	  now can provide own providers.

2010-03-02  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Toggle code completion category is now toggled by the
	  ShowCompletionWindow command, when the window is visible.

2010-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs: Fix
	  Gtk type warnings by converting icon id to string for store.

2010-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Overwrite question buttons
	  were reversed.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Commands/TextEditorCommands.cs: Add Mac
	  bindings for Ctrl-{T,L,O,K} and corresponding command
	  definitions.

	* MonoDevelop.Ide.addin.xml: Add Mac bindings for
	  Ctrl-{T,L,O,K} and corresponding commands definitions if
	  needed.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/TextEditorExtension.cs:
	* MonoDevelop.Ide.Gui.Content/IExtensibleTextEditor.cs:
	  Changed API for 'Bug 429265 - #region reindentation does not
	  work with autocompletion'.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	  Added some error messages for 'Bug 540891 - NRE when
	  launching Find In Files search (whole solution)'.

2010-02-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: Fix nullref.

2010-02-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/TextEditor.cs: Fixed new file template
	  creation bug.

2010-02-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: set
	  default for find in files to case insensitive.

2010-02-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs: Added missing
	  getstring call.

2010-02-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	  Added missing getstring call.

2010-02-18  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectReferenceDialog.cs:
	  Edit references title is now translateable.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/ProgressMonitors.cs:
	* MonoDevelop.Ide.Commands/FileCommands.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.Gui/BackgroundProgressMonitor.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/IncludeNewFilesDialog.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OverridesImplementsDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ConfirmProjectDeleteDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  Track api changes.

	* MonoDevelop.Ide.Gui/Pad.cs:
	* MonoDevelop.Ide.Codons/PadCodon.cs:
	* MonoDevelop.Ide.Gui/IPadContainer.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Templates/FileTemplate.cs:
	* MonoDevelop.Ide.Gui/AbstractPadContent.cs:
	* MonoDevelop.Ide.Templates/ProjectTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.Gui.Components/TreeViewItem.cs: Use the new
	  IconId type.

2010-02-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/ProjectReferencePanel.cs: Avoid
	  stack overflow when there's a cyclic project dependency in
	  the sln.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/TextEditor.cs:
	* MonoDevelop.Ide.Commands/EditCommands.cs:
	* MonoDevelop.Ide.Tasks/CommentTasksView.cs:
	* MonoDevelop.Ide.StandardHeader/StandardHeaderService.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Implemented a new method for getting comment tags. It is
	  going to replace some properties of ILanguageBinding.

2010-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Fix path bar
	  detaching.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/RootWorkspace.cs: MD now creates a new
	  layout by default: 'Solution'. This layout is enabled when a
	  solution is opened. The old 'Default' layout is shown when
	  MD is started, and has all pads minimized.

	* MonoDevelop.Ide.Gui/Pad.cs:
	* MonoDevelop.Ide.Gui/IPadContainer.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Added AutoHide
	  property to Pad.

2010-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Don't share text editor
	  extension instance between editors or things end up in the
	  wrong editor.

2010-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Extensions/TextEditorExtensionNode.cs: Allow
	  specifyings the file extensions to which a
	  TextEditorExtension applies in the add-in manifest. In this
	  way we can delay the loading of such extensions.

2010-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: More tracing.

	* MonoDevelop.Ide.Gui/Ide.cs: Don't put help service init in a
	  timeout, it stops MD from being closed before timeout runs.

2010-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Delay help service
	  initialization.

2010-02-09  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/StartupInfo.cs: Allow users to specify
	  file line and column at launch.

2010-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Add startup trace calls.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SplashScreen.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/IncludeNewFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OverridesImplementsDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ConfirmProjectDeleteDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  Track API changes for lazy loading images.

2010-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Add startup trace calls.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/FileCommands.cs:
	* MonoDevelop.Ide.Gui.Content/IPrintable.cs: Implement a Page
	  Setup command.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Commands/FileCommands.cs:
	* MonoDevelop.Ide.Gui.Content/IPrintable.cs: Add CanPrint
	  method to IPrintable.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/TextEditor.cs:
	* MonoDevelop.Ide.Gui.Content/IEditableTextBuffer.cs:
	* MonoDevelop.Ide.Gui/HiddenTextEditorViewContent.cs: Added
	  method to check whether text editor has input focus.

	* MonoDevelop.Ide.Commands/EditCommands.cs: Only enable
	  "Insert standard header" command when text editor has input
	  focus. 

	* MonoDevelop.Ide.addin.xml: Improve ordering of edit menu.

2010-02-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Ide.Gui.Dialogs/FileSelectorDialog.cs: Don't
	  show Close Workspace checkbox on save.

2010-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	  Make sure the Run With menu is hidden when there are no
	  handlers that can run a project. Fixes bug #575657 - Crash
	  is custom execution modes.

2010-01-28  Scott Willeke  <scott@willeke.com>
	* MonoDevelop.Ide.Commands/FileCommands.cs
	Catching exception to prevent lock on load due to no permission 
	to recently used file.
	  
	
2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ISolutionItemFeature.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CombineEntryFeatureSelector.cs:
	  Add different levels of support for project features.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DisplayBinding.cs:
	* MonoDevelop.Ide.Codons/IDisplayBinding.cs:
	* MonoDevelop.Ide.Gui/DisplayBindingService.cs:
	* MonoDevelop.Ide.Gui/DefaultDisplayBinding.cs: Added a
	  mechanism for display bindings to be marked as 'non-default-
	  so they can only be opened explicitly, not automatically.

2010-01-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/HelpOperations.cs: Use the HelpService's
	  cache root dir for launched MonoDoc instances. Moved
	  GetHelpUrl to the HelpService.

	* MonoDevelop.Ide.Gui/Ide.cs: Track HelpService API.

2010-01-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.FindInFiles/FilterOptions.cs: fixed bug in
	  whole words only search.

2010-01-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Add missing files.

2010-01-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Extensions:
	* MonoDevelop.Ide.Gui.Dialogs\AddFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs\OpenFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs\FileSelectorDialog.cs:
	* MonoDevelop.Ide.Extensions\IAddFileDialogHandler.cs:
	* MonoDevelop.Ide.Extensions\IOpenFileDialogHandler.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad\FolderNodeBuilder.cs:
	  Add support for platform-specific dialogs for adding files
	  and for opening files.

2010-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	  Fix typo in UI string.

2010-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/HelpOperations.cs: Remove debug code.

2010-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/HelpOperations.cs: On Mac, use open -a
	  MonoDoc.app $URL to open MonoDoc urls.

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Ref System.Web for UrlEncode method.

2010-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/IDEStyleOptionsPanel.cs:
	  Allow setting a custom gtk theme for MD.

2010-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/IDEStyleOptionsPanel.cs:
	  Add option for selecting the language for the user
	  interface.

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs:
	* gtk-gui/MonoDevelop.Ide.SelectEncodingsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.GoToDialog.cs:
	* gtk-gui/MonoDevelop.Ide.OverridesImplementsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewLayoutDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ExportProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.AddinLoadErrorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.IncludeNewFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectReferenceDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.FeatureSelectorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.TasksPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectFileFormatDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AddInsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.LoadSavePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Components.ExecutionModeComboBox.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeDialog.cs:
	* gtk-gui/MonoDevelop.Ide.ExternalTools.ExternalToolPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.CodeTemplatePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ConfirmProjectDeleteDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CombineEntryFeatureSelector.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MonoRuntimePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildMessagePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersPreview.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AssemblyFoldersPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.TextStylePolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeManagerDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AuthorInformationPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.StandardHeader.StandardHeaderPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MaintenanceOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.GlobalAuthorInformationPanelWidget.cs:
	  Flush.

2010-01-19  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.SearchResultWidget.cs:
	  Implemented 'Bug 552017 - Saner and new default options for
	  Find in Files -> Directories dialog'.

2010-01-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Added null check for policies.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CodeFormatting/InvariantTextStylePolicy.xml:
	  Define invariant text style policy.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Track api changes.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  Track api changes in the text service.

	* templates/Workspace.xpt.xml:
	* templates/BlankCombine.xpt.xml:
	* templates/GenericProject.xpt.xml: Updated categories.

	* MonoDevelop.Ide.addin.xml: Use new visual style icon.

2010-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/CodeDomFileDescriptionTemplate.cs:
	  Only strip blank lines from C#, not all languages.

2010-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/CodeDomFileDescriptionTemplate.cs:
	  strip blank lines in CodeDOM output.

2010-01-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	  Improve error message. Fixes bug #570188 - Incorrect
	  description of options in delete dialog.

2010-01-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Added
	  left/right as collapse/expand keys.

2010-01-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: fixed 'Bug
	  569665 - Moving entire lines of code with Alt + Up/Down
	  causes the editor to behave erratically.'.

2010-01-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/CodeDomFileDescriptionTemplate.cs:
	  fixed 'Bug 569548 - [Windows] New files are marked as
	  autogenerated'.

2010-01-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Commit fix for
	  "Bug 569588 - Pressing 'escape' in the Delete Project dialog
	  removes the project" from Chris Wright <dhasenan@gmail.com>.

2010-01-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Tasks/CommentTasksView.cs: Fix memory leak
	  where the comments task list could hold onto references to
	  projects after they were closed. Also handle loading all
	  comment tasks for the open workspaces if the view is first
	  shown after loading.

2010-01-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.StandardHeader/StandardHeaderService.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Templates now take care of line ending conventions.

2010-01-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/TextStylePolicy.cs: Added helper
	  method to convert eol markers to a string.

2010-01-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Tasks/CommentTasksView.cs: Clean up the
	  display of comment tags.

2010-01-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: New path bar
	  widget has reached feature parity wth the old version, so
	  enable it.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCodon.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs:
	  implemented 'Bug 562124 - Add ability to create custom built
	  templates for AddIn'.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: fixed
	  'Bug 561609 - Unhandled exception searching in my project'.

2010-01-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DragNotebook.cs: Don't shrink the tab
	  border with the windows theme, because it looks ugly. 

2009-12-23  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/IDEStyleOptionsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	  Allow changing output pad fonts. Added new properties for
	  setting custom fonts.

2009-12-23  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.SelectEncodingsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectReferenceDialog.cs:
	  Updated.

	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs: Improved
	  GUI.

2009-12-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Components/PadTreeView.cs: Enable
	  AutoTooltips on all PadTreeViews.

2009-12-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs: When setting the
	  current runtime as default, don't store the actual runtime
	  id, but a marker saying that we want the current. In this
	  way we'll stay current even if the current Mono version is
	  upgraded. Handle upgrade from MD 2.2-, which didn't have
	  this behavior.

2009-12-17  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs: Make widget
	  internal. Add a note re. getting keybindings from commands.

2009-12-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Fix the HasToplevelFocus
	  behaviour with floating pads.

2009-12-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Commands/WindowCommands.cs: Make the
	  document switcher into a pair of commands, instead of
	  hardcoding it into the main view, so it can be triggered
	  from floating pads.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Added new property,
	  HasToplevelFocus, which return true if the main window or
	  any floating pads have toplevel focus.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: When calling
	  SelectWindow, make sure to grab focus, because it may have
	  lost focus to a pad.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs: When destroying the
	  document switcher, don't present the IDE main window.
	  Instead Gdk.Window.Focus on the toplevel of the selected
	  item. Fixes selecting floating pads, and avoids Mac issues
	  with Gtk.Window.Present.

2009-12-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Content/TextEditorProperties.cs: Use
	  proper enums for IndentStyle values instead of letting them
	  get cached as strings, so they don't break the editor's
	  property change handler.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Fix
	  trailing comma when list has odd number of items.

2009-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Add Jakub
	  Steiner.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Use some of the new icons.

2009-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* icons/SplashScreen.png:
	* MonoDevelop.Ide.Gui.Dialogs/SplashScreen.cs: Update splash.

2009-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* icons/tools-external-tools-24.png:
	* icons/tools-external-tools-16.png: Add new icons.

2009-12-11  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Fix jump-to
	  regression.

2009-12-10  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Allow resorting by
	  severity.

2009-12-09  Michael Hutchinson  <mhutchinson@novell.com>

	* templates/EmptyHTMLFile.xft.xml: Sane casing on HTML tags.

2009-12-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Use Workbench.Present so
	  that we can special-case for different platforms. Ignore
	  Present on Mac since GTK+ is broken there.

	* MonoDevelop.Ide.Gui/Ide.cs: Use Workbench.Present so that we
	  can special-case for different platforms.

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Use Workbench.Present so
	  that we can special-case for different platforms. Also
	  better logging of crashes.

	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs: Ignore Present on
	  Mac since GTK+ is broken there.

2009-12-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	  Avoid appending '...' to commands that already end with
	  '...'.

2009-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/IncludeNewFilesDialog.cs: Add
	  missing null check. Fixes bug #560768.

2009-12-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Add some sanity checks for
	  DesktopApplication.

2009-12-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: The error pad auto
	  show/hide is more intelligent now.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.Gui/AddinUpdateHandler.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPadWidget.cs:
	  Name threads to make debugging easier.

2009-12-02  David Makovský  <yakeen@sannyas-on.net>

	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	  updating generated file

	* gtk-gui/gui.stetic: make button "View Conflicts"
	  translatable

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Fix NRE.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Don't
	  create a syntax style every time we render a row. Instead,
	  save one, and make sure it's updated when the GTK style
	  chnages. Fixes leak and perf issues.

2009-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/TreeViewPad.cs: Use the new
	  automatic overflow tooltips.

2009-12-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/HiddenWorkbenchWindow.cs:
	* MonoDevelop.Ide.Gui/HiddenTextEditorViewContent.cs: Added
	  hidden text editor view content infrastructure, to support
	  fast non gui implementation of these interfaces for testing
	  & 'code behind').

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdePreferences.cs: By default, don't
	  show output pad when after building.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Commands/ProjectCommands.cs:
	* MonoDevelop.Ide.Gui/ConfigurationComboBox.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	  Introduced the ConfigurationSelector class to all methods
	  that previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-11-25  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.OptionPanels/BuildMessagePanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildMessagePanelWidget.cs:
	  Worked on build message panel.

2009-11-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Tasks/TaskStore.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui/ProgressMonitors.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui/OutputProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/BuildPanel.cs:
	* gtk-gui/MonoDevelop.Ide.SelectEncodingsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.GoToDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.OverridesImplementsDialog.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/BuildMessagePanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewLayoutDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.SearchResultWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ExportProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.AddinLoadErrorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.FeatureSelectorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.IncludeNewFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.TasksPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectReferenceDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectFileFormatDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AddInsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Components.ExecutionModeComboBox.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.LoadSavePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.ExternalTools.ExternalToolPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.CodeTemplatePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ConfirmProjectDeleteDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CombineEntryFeatureSelector.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MonoRuntimePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildMessagePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersPreview.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AssemblyFoldersPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.TextStylePolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeManagerDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AuthorInformationPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MaintenanceOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.StandardHeader.StandardHeaderPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.GlobalAuthorInformationPanelWidget.cs:
	  Added build message panel, some build options & overworked
	  error list pad a bit.

2009-11-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs: Improve
	  logging.

2009-11-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Tasks/TaskStore.cs: Fixed memory hole in
	  task service.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.csproj: Fix references.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Fix build.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Use correct Mono.Cairo reference.

2009-11-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/IBookmarkBuffer.cs: Separated
	  bookmarks from text buffer.

2009-11-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs: Fixed 'Bug 555997
	  - "Go to Type" list is empty'.

2009-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Catch, log and display
	  AppDomain.UnhandledException. Remove relection code that's
	  unneeded now that we depend on recent GTK+. Set process name
	  and pass args to GTK.

2009-11-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs: Don't include
	  folders in the file list.

2009-11-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Added new overload for creating content, which provides the
	  project and tags as arguments. Allow namespaces with empty
	  name.

	* MonoDevelop.Ide.Templates/CodeDomFileDescriptionTemplate.cs:
	* MonoDevelop.Ide.Templates/CodeTranslationFileDescriptionTemplate.cs:
	  After generating the compilation unit, strip the implicit
	  namspace from al CodeNamespaces. Required for VB.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/MonoRuntimePanel.cs:
	  Properly remove runtimes.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: (Revert revision
	  145499)

2009-11-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components\TransactedTreeBuilder.cs:
	  Report an error when a node can't be committed because of an
	  invalid node. 

2009-11-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Fixed 'Bug
	  552014 - Find in files dialog (with Directories option)
	  makes MD unresponsive for a long time'.

2009-11-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Disable the 
	  resize grip on Mac, because it breaks Mac window resizing.

2009-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Use the ReloadRequired
	  event to track changes in solutions.

	* MonoDevelop.Ide.Gui/Ide.cs: Improve error message.

2009-11-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  fixed 'Bug 552331 - Parameter insight does not hide when
	  ending method call.'.

2009-11-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml: Move code templates panel under
	  Text Editor section.

2009-11-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Worked on
	  'Bug 552017 - Saner and new default options for Find in
	  Files -> Directories dialog'.

2009-11-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Added
	  some error handling code for 'Bug 552014 - Find in files
	  dialog (with Directories option) makes MD unresponsive for a
	  long time'.

2009-11-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Execution/ParameterizedExecutionHandler.cs:
	  Provide a dummy execution mode when executing a
	  parameterized handler directly.

2009-11-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: When activating a
	  pad using a keyboard shortcut, set the focus to it. Fixes
	  bug #544135.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* BuildVariables.cs:
	* MonoDevelop.Ide.addin.xml: Bump MD version.

2009-10-30  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeDialog.cs:
	  add existing editor to dictionary instead of creating a new one.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Execution/IExecutionCommandCustomizer.cs:
	* MonoDevelop.Ide.Execution/ParameterizedExecutionHandler.cs:
	* MonoDevelop.Ide.Execution/IExecutionConfigurationEditor.cs:
	  Add some docs.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Reference the mono-cairo package.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: New overload for
	  OpenDocument.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	  Show an error message when displaying an unknown project.

2009-10-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Name the caught exception in try template.

2009-10-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml: Fix
	  duplicate try shortcut.

2009-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs:
	* gtk-gui/MonoDevelop.Ide.SelectEncodingsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.GoToDialog.cs:
	* gtk-gui/MonoDevelop.Ide.OverridesImplementsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewLayoutDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.SearchResultWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ExportProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.AddinLoadErrorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.FeatureSelectorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.IncludeNewFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectReferenceDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.TasksPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectFileFormatDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AddInsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Components.ExecutionModeComboBox.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.LoadSavePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeDialog.cs:
	* gtk-gui/MonoDevelop.Ide.ExternalTools.ExternalToolPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.CodeTemplatePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ConfirmProjectDeleteDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MonoRuntimePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CombineEntryFeatureSelector.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersPreview.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AssemblyFoldersPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.TextStylePolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeManagerDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AuthorInformationPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.StandardHeader.StandardHeaderPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MaintenanceOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.GlobalAuthorInformationPanelWidget.cs:
	  Flush.

2009-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Improve Copy
	  command. Fixes bug #548942.

2009-10-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: Revert
	  r138616. It doesn't seem to be necessary any more, as after
	  removing it, I couldn't reproduce the bug it purported to
	  fix. Also, it broke Moonlight projects' default references
	  when the Moonlight desktop assemblies' package was
	  installed.

2009-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Added new overload for
	  opendocument.

2009-10-22  Luciano N. Callero <lnc19@hotmail.com>
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Fixed NullReferenceException
	when Context Key pressed without node selected.

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Added option to turn off parameter insight.

2009-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs: Fix
	  build.

2009-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs:
	  Improve handling of deleted nodes. Avoid deleting a children
	  if a parent node has already been deleted.

2009-10-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Moved
	  RemoveChildren method to the tree view, to make it reusable.

	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs:
	  When deleting a node, unregister and remove all its children
	  too.

2009-10-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml: Moved Format Document command to
	  the Edit category.

2009-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs: Fix
	  build.

2009-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	  Improve conflict detection. Fixes bug #547993 - composite
	  keybinding hide more simple keybindings.

2009-10-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdePreferences.cs: Make
	  ShowOutputPadWhenBuildStarts false by default.

2009-10-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Filter out keystrokes that contain alt/meta/super as well as
	  control.

2009-10-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/SplashScreen.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/LinkedFilesFolderNodeBuilder.cs:
	  Handled icon loading error.

2009-10-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Add a menu
	  command for setting the active configuration and runtime.

2009-10-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs: Fix
	  changing keybindings with the filtered model.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Don't highlight caret
	  line on first open.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui.Content/IEditableTextBuffer.cs: Added
	  caret line highlighting when position is set.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Added DocumentEventArgs.

2009-10-13  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	  Implement a filter entry for the keybindings panel.

	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectReferenceDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildPanelWidget.cs:
	  Flush.

2009-10-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Implemented Run
	  Entry With command.

	* MonoDevelop.Ide.Execution/CustomExecutionMode.cs:
	* MonoDevelop.Ide.Execution/CommandExecutionContext.cs:
	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	  Generalized a bit. Custom modes can now be stored for any
	  SolutionEntityItem.

	* MonoDevelop.Ide.csproj: Fix typo in file name.

2009-10-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.FindInFiles/HslColor.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Moved hsl
	  color & brightness into the text edior. (removed brightness
	  * 1e-3, it correctly ranges now 0.0-1.0);

2009-10-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs: Escape
	  markup to fix GTK errors and list misrendering.

2009-10-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	  fixed 'Bug 545883 - Editor problem when using "Format
	  document"'.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Fixed 'Bug 545652 - Surround with 'lock' is not setting
	  focus in 'lock' itself to add the lock object'.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	  Added icon for code surround with templates.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Merged insert templates/surround with commands.

2009-10-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/FileCommands.cs: In OpenFile, get
	  the encoding from the dialog before destroying it.

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Fix warning.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProgressMonitors.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultPad.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Select
	  first search result, if pad is auto focused.

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs: Only
	  changed templates are saved by the panel.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Ide.csproj: Add options/* as "Data" items,
	and add a "AfterBuild" target to copy them to build\data.
	This matches the makefile behavior.

2009-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Add a tab
	  with the contents of the buildinfo file, if it exists. Fixed
	  some accents on names.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Fixed monodevelop
	  --version.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Ide.addin.xml: Update license.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPadWidget.cs:
	  fixed 'Bug 541730 - Classbrowser gives crash'.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	  Fixed 'Bug 544395 - Format document operation should be an
	  atomic undo'.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Track API
	  changes.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Updated
	  authors list.

	* MonoDevelop.Ide.Gui.Dialogs/AboutMonoDevelopTabPage.cs:
	  Updated license. MD is now LGPL.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Took
	  out dispose overwrite.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Fixed
	  some leaks.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* BuildVariables.cs:
	* MonoDevelop.Ide.addin.xml: Bump MD version.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/AbstractBaseViewContent.cs: Call Destroy
	  (), Dispose () is broken for gtk widgets.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ClassPad/ReferenceNodeBuilder.cs:
	  Track API changes.

2009-10-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs: When adding
	  a project to an existing solution, try to guess the best
	  platform for the new project, based on the existing
	  configurations.

2009-10-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs: Fix logic
	  for filtering out workspace templates. Fixes bug #543941 -
	  Can't create a new workspace.

2009-10-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Explicitly initialize the dom
	  service.

2009-10-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.ExternalTools/ExternalToolPanel.cs: Include
	  the "save current file" checkbox in the controls that are
	  made insensitive when the is no selected tool. Fix some GTK
	  warnings. 

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Ensure that the
	  child is removed in the event box, before set & dispose
	  gtk.images.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Handled an
	  exception that could happen, when the code completion
	  database is corrupted.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProgressMonitors.cs: added focuspad
	  option for new search monitors.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProgressMonitors.cs: Added grabFocus
	  option to GetSearchProgressMonitor.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Added
	  andrea to the about dialog.

2009-10-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs: Fix
	  infinite recursion that hung MD on ctrl-space in
	  XML/HTML/ASP.NET files.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Added some strings
	  to the translation database.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: fixed typo

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Fixed tooltip.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: No longer set
	  status texts if they're not updated (=> fewer expose
	  events). 

2009-10-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	  Save the solution after changing the startup project. Fixes
	  bug #542054 - MonoDevelop does not remember 'startup
	  project'.

2009-10-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	  Ask for permission before closing or removing a project.
	  Used for example to close a running project before closing.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Added a small
	  padding for the event box.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Added clear
	  caret state method to status bar.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Event box has
	  now a fixed position - no more reordering. Fixed status bar
	  memory leak.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Removed the
	  shadow from the status bar.

2009-09-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Worked on
	  status bar.

2009-09-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Using a real
	  status bar widget for displaying the status bar instead of a
	  hbox.

2009-09-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: fixed "Bug
	  542686 - Mark-up text not correctly rendered on status bar".

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml: Added 'Run With' commands to
	  project context menu.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Use markup in the statusbar only
	  when really necessary.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Fixed 'Bug 542686 - Mark-up text
	  not correctly rendered on status bar'.

2009-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  Use the new DotNetAssemblyProject class instead of
	  DotNetProject, which is now abstract.

2009-09-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/IWorkbenchLayout.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Fixed some
	  settitle bugs.

2009-09-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs:
	  Eliminate the property grid's System.Windows.Forms
	  dependency, because it hurts Mac cold startup time.

2009-09-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs: Disable
	  edit/remove buttons when there is not a selected template.
	  Fixes some NREs.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide/Services.cs: Added some counters.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui\Workbench.cs: Add null check.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Removed all
	  sorting code. Errors will now be shown in the order that the
	  compiler generated them. Fixes bug #540465 - MonoDevelop's
	  error list gratuitously sorts messages, it should not.

2009-09-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Fixed 'Bug
	  540891 - NRE when launching Find In Files search (whole
	  solution)'.

2009-09-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/HelpOperations.cs:
	* MonoDevelop.Ide.Commands/HelpCommands.cs: Don't try to show
	  help using Monodoc. It is not supported on Windows.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Renamed
	  IDomVisitable -> INode

2009-09-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Add Mac shortcuts for cycling
	  between tabs.

2009-09-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/AuthorInformationPanel.cs:
	  Fix error removing author info when there is no info.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Fixed
	  possible null reference.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: Fixed
	  generics in component types.

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Made foreach template more intelligent.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Add ref to SWF for propgrid enum.

	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs: Fix GTK
	  warning.

	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	  Track API.

	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs: Use the
	  PropertyGrid for displaying variables, as this allows them
	  to be edited.

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateVariable.cs: Mark
	  up with attributes for the propgrid. Use a custom class for
	  the value pairs so we can name the values and mark it up
	  too.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/FileTemplate.cs: Make file
	  template loading failures also not fatal, and improve error
	  message.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/ProjectTemplate.cs: Downgrade
	  "fatal" error when loading templates to a normal error. Add
	  more information to the error string.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  No longer trying to turn on code completion on action keys
	  (like cursor keys) - should speed things up on slower
	  machines.

2009-09-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Fixed eventargs template.

2009-09-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Don't close the
	  workspace if the users click on Cancel when asked to save a
	  file. Fixes bug #538371 - Canceling the closing of a
	  solution with unsaved files open does not work.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Track API changes.

2009-09-11  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs: Fix exception
	  when selecting "Add to project" on new file dialog and there
	  is no project type selected.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Added DocumentParsed event.

2009-09-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: Worked on
	  template formatting.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Execution/MonoExecutionParameters.cs: Added
	  some localized descriptons for some property values.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Execution/MonoExecutionParameters.cs: Using
	  localizable attributes for mono execution parameters.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeDialog.cs:
	  Added missing getstring call.

	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	  Fixed translation.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.Dialogs/EncapsulateFieldDialog.cs: Fixed
	  dialog title.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: Added missing "..." to menu
	  items.

2009-09-08  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs: 
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: 
	* MonoDevelop.Ide.Gui.OptionPanels/MonoRuntimePanel.cs: 
	* MonoDevelop.Ide.Commands/ViewCommands.cs: 
	* MonoDevelop.Ide.Commands/FileCommands.cs: 
	* MonoDevelop.Ide.Commands/ToolsCommands.cs: 
	* MonoDevelop.Ide.Commands/HelpCommands.cs: 
	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs: 
	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs: 
	* MonoDevelop.Ide.Gui/Document.cs: 
	* MonoDevelop.Ide.Gui/RootWorkspace.cs: 
	* MonoDevelop.Ide.Gui/ProjectOperations.cs: 
	* MonoDevelop.Ide.Gui/StatusProgressMonitor.cs: 
	* MonoDevelop.Ide.Gui/Workbench.cs: 
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Fix dialogs to be transient
	  to the root window or parent dialog.

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.ExternalTools/ExternalToolPanel.cs: Removed
	  debug message.

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Fixed "Bug 537195 - Can't select a 'Surround With' template
	  by typing the name".

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Fixed "Bug 537192 - Surround With command not properly
	  indenting text".

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs: Add support for
	  multi-selection. Patch by Zach Lute.

2009-09-02  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml: Add
	  python templates.

2009-09-02  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateVariable.cs: Add
	  IsIdentifier that descrives if the variable has restricted
	  input.

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  IsIdentifier defaults to false as suggested. Update
	  templates that require Identifier semantics.

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Propagate
	  whether the link is an Identifier meaning it has restricted
	  input.

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultPad.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Fixed
	  "Bug 536011 - Show Next/Previous not working for the search
	  results pad".

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Pad.cs: Always call activate on
	  padwindow.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Pad.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/IPadContainer.cs:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui/IWorkbenchLayout.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Commands/ViewCommands.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	  Fixed "Bug 489819 - Building the project removes focus from
	  the texteditor".

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: Now using
	  (the more correct) shorten type name method from compilation
	  unit.

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* BuildVariables.cs:
	* icons/SplashScreen.png:
	* MonoDevelop.Ide.Gui.Dialogs/SplashScreen.cs: Updated splash
	  window.

2009-08-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Revert lazy
	  loading of pads, since it is causing issues. It has to be
	  fixed in DockItem.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Added notify
	  shown.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Fixed typo

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Adding infinite
	  loop fix.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/ViewCommands.cs: Fixed output
	  strings.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/ViewCommands.cs: Fixed output
	  string.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Fixed "Bug
	  501684 - Newly created build configurations cannot be
	  activated".

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Created identifier for full name.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Only call Show
	  instead of ShowAll for lazy pad creation.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/FileDescriptionTemplate.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Fixed 'Bug 502880 - Cannot create file with hypen in the
	  name'.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Fixed "Bug 479196 - "add test fixture" adds refs to
	  nunit.core and nunit.framework from "Package".

2009-08-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/ViewCommands.cs: Pad titles may
	  have markup.

2009-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Don't allow running MD
	  with the QtCurve theme. It is known to make MD crash.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	  Speeded up the AddChildren function.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/ITreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs:
	  Fixed typo.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/ITreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs:
	  Added AddChilds method to tree builder.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Tasks/UserTasksView.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs:
	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs:
	* MonoDevelop.Ide.Gui.Pads/InternalLogPad.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.Gui.Pads/DefaultMonitorPad.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Fixed
	  warnings.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Codons/PadCodon.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Optimized startup
	  speed a bit.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Codons/PadCodon.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: No need to lazy
	  initalize pre created pads.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Pads are now
	  created on demand.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/FileTemplate.cs:
	* MonoDevelop.Ide.Templates/ProjectTemplate.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs: Only
	  request the composed icon in the desired size. See (Bug
	  534499 - ImageService tries to compose icons at too many
	  sizes).

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.csproj: Updated dependencies. We now depend
	  on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindReplace.cs: The search
	  algorithm can now be used from outside.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Optimized
	  the search result widget.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Fix windows
	  build.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Formatted
	  output correctly.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Fixed
	  "Bug 523423 - Find dialog doesn't show its searching".

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Changed the
	  remove trailing whitespace algorihtm to use the
	  Mono.TextEditor data structures - they're not suffering from
	  extensive caret movement.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs: Removed unused
	  event listener.

2009-08-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/EditCommands.cs:
	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Added remove
	  trailing whitespace command from David Makovský
	  <yakeen@sannyas-on.net> & did some optimizations.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/ToolsCommands.cs: Document.Save can
	  only be called from the gui thread.

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Before building,
	  don't autosave files which don't belong to a project. Fixes
	  bug #498686 - Compiling a solution/project with a file that
	  doesn't belong to any project MD ask for write the file.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Track api changes.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Properly reset the
	  project of a document when reloading.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui.Content/ISupportsProjectReload.cs: Added
	  support for re-binding an open file to a project. This is
	  used when reloading a project.

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Show a warning
	  when trying to save a project whose files have changed since
	  the last save.

2009-08-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs: Update project
	  association when checkbox is toggled.

2009-08-20  Christian Hergert <chris@dronelabs.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs: Make the add
	files dialog transient for the workbench.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.Components/ITreeBuilderContext.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	  When a project is disabled in the active configuration, show
	  it grayed.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectTemplate.cs: Fix template
	  categorization issue. The main C# category was added as a
	  child of C#.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs: Fix
	  category insertion.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IWorkbench.cs:
	* MonoDevelop.Ide.Gui/IWorkbenchLayout.cs: Updated license
	  header. The original code has been relicensed as LGPL in
	  #develop 2.0.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/SolutionDescriptor.cs: Update
	  license header. This file has been rewritten.

2009-08-19  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs: Rewritten the
	  GPL parts. 

2009-08-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Added a fix from ki9a - he
	  encountered an exception while loading.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.FindInFiles/FileProvider.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	* MonoDevelop.Ide.Gui/TextFileNavigationPoint.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultPad.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeWidget.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ConfirmProjectDeleteDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionFolderNodeBuilder.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  Fix warnings.

	* MonoDevelop.Ide.Templates/SolutionDescriptor.cs: Properly
	  initialize the startup item.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: Fix project
	  name truncation issue.

2009-08-18  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs: Rewritten the gpl parts.   
	  
2009-08-18  Viktoria Dudka  <viktoriad@remobjects.com> 

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Rewritten GPL parts. 
	  
2009-08-18  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui.Pads/FileList.cs: Rewritten the GPL parts.
	  
2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/LoadSavePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/AssemblyReferencePanel.cs:
	  Updated license header. The file was rewritten long time
	  ago.

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui.OptionPanels/CodeGenerationPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.CodeGenerationPanelWidget.cs:
	  Removed unused pad.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/SelectReferenceDialog.cs:
	  Updated license header. The file was rewritten long time
	  ago. Minor fix.

	* MonoDevelop.Ide.Gui.Dialogs/ProjectReferencePanel.cs:
	  Improved performance of cyclic reference check. Improve the
	  way cyclic reference messages are shown. Show a message for
	  incompatible framework.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/ProjectReferencePanel.cs:
	  Updated license header. The file was rewritten long time
	  ago.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Fixed
	  crash in UnregisterNode. Should fix bug #530499 - Crash when
	  working with project tree view.

2009-08-07  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui.Dialogs/SharpDevelopAboutPanels.cs: removed
	* MonoDevelop.Ide.Gui.Dialogs/AboutMonoDevelopTabPage.cs:
	* MonoDevelop.Ide.Templates/VersionInformationTabPage.cs: Rewritten from scratch
	  to make it non-GPL.
	  
2009-08-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/ProjectTemplate.cs: Categorise all
	  templates by language. Fixes regression from
	  de-gpl-ification.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui.OptionPanels/AssemblyFoldersPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AssemblyFoldersPanelWidget.cs:
	  Added options panel which allows defining paths where MD
	  should look for assemblies and .pc files.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLog:
	* MonoDevelop.Ide.Gui.Dialogs/GacReferencePanel.cs: Rewritten
	  the gpl parts.

2009-08-17  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui.Dialogs/GacReferencePanel.cs: Rewritten the gpl parts.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Tasks/TaskStore.cs: Don't send unnecessary
	  task removal events.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GacReferencePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SelectReferenceDialog.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Use the new AssemblyContext class to query and resolve
	  assemblies.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.csproj: Set correct encoding.

2009-08-12  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Ide.Commands/FileCommands.cs: Make sure the open
	file dialog is transient for the main window.

2009-08-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Try some different Mac keyboard
	  mappings for build and run commands.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Tasks/TaskService.cs: Add ShowErrors method.

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	  Remove unused usings.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui\Ide.cs:
	* MonoDevelop.Ide\Services.cs:
	* MonoDevelop.Ide.Tasks\Task.cs:
	* MonoDevelop.Ide.Gui\Document.cs:
	* MonoDevelop.Ide.Tasks\UserTask.cs:
	* MonoDevelop.Ide.Tasks\TaskStore.cs:
	* MonoDevelop.Ide.Tasks\TaskService.cs:
	* MonoDevelop.Ide.Tasks\UserTasksView.cs:
	* MonoDevelop.Ide.Gui\ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Pads\ErrorListPad.cs:
	* MonoDevelop.Ide.Tasks\CommentTasksView.cs: Reimplemented the
	  task service. It should now be more efficient.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/AbstractPadContent.cs:
	* MonoDevelop.Ide.Gui/AbstractViewContent.cs:
	* MonoDevelop.Ide.Gui/AbstractBaseViewContent.cs: Rewritten.
	  Patch by Viktoria Dudka.


2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: Original #D code
	  in this file was relicensed to LGPL in #D 2.0.

2009-08-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	  When renaming a file, save only the project containing the
	  file, not the whole workspace.

2009-08-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Updated license.
	  Most of the file has been rewritten, and the remaining
	  original code is licensed as LGPL in SD2.

2009-08-07  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.StandardHeader/GPL3LicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/GPL2LicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/LGPL3LicencePolicy.xml:
	* MonoDevelop.Ide.StandardHeader/LGPL2-1LicencePolicy.xml:
	  Added author name to gpl licences. Added LGPL 3. Fixed LGPL
	  2.

2009-08-07  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui/IWorkbenchWindow.cs: Rewritten from scratch
	  to make it non-GPL. 
	* MonoDevelop.Ide.Gui/IPadContent.cs: Rewritten from scratch
	  to make it non-GPL. 
	* MonoDevelop.Ide.Gui/IBaseViewContent.cs: Rewritten from scratch
	  to make it non-GPL. 
	* MonoDevelop.Ide.Gui/IViewContent.cs: Rewritten from scratch
	  to make it non-GPL. 

2009-08-07  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui.Dialogs/TipOfTheDay.cs: Rewritten from scratch
	* MonoDevelop.Ide.Gui/TipOfTheDayStartupHandler.cs: Deleted
	* MonoDevelop.Ide.addin.xml: moved auto-start to a different location
	  
2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide/Services.cs:
	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Codons/PadCodon.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.Commands/ToolsCommands.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/MaintenanceOptionsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MaintenanceOptionsPanelWidget.cs:
	  Add support for the instrumentation service. Added a new
	  command for showing the viewer. Added an options panel for
	  enabling it. Added some counters.

	* gtk-gui/MonoDevelop.Ide.FindInFiles.SearchResultWidget.cs:
	  Flush.

2009-08-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Execution\ExecutionModeCommandService.cs:
	  Improve command label.

	* MonoDevelop.Ide.Gui.Components\ExtensibleTreeView.cs: Fix
	  TreeIter comparison issues.

2009-08-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Don't
	  disconnect the model from the list while searching, so
	  matches are shown as they are found.

	* MonoDevelop.Ide.FindInFiles/SearchResultPad.cs: Remove
	  unused attribute.

	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Fix nullref
	  when the active document is not buildable.

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.SearchResultWidget.cs:
	  Adjust padding of the message label in the search results
	  pad.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs:
	  Removed debug messages.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Took back the on
	  demand change.

2009-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	  When updating the solution node due to the removal of an
	  item, use the solution object provided in the args, since
	  the ParentSolution property of the item will return null.
	  Fixes bug #527406 - Deletion of project fails.

	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs: Don't allow
	  public creation of status bars.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Error list pad is
	  now created on demand (it locked monodevelop on load
	  sometimes).

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Pads are now
	  created on demand.

2009-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/SplashScreen.cs: Instead of
	  looping on Application.EventsPending, use
	  DispatchService.RunPendingvents which limits the number of
	  iterations.

2009-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Rewritten.
	  Patch by Viktoria Dudka.

2009-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/IWorkbenchWindow.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs: When closing a
	  document which is not currently active, don't try to select
	  the last active document. Just leave the selection to the
	  current document.

2009-08-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: only set
	  search in current document when search was == selection and
	  no line span is selected.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Tcp channel for
	  connecting to external processes is not supported anymore.

2009-07-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Applied "Bug 526961 - [PATCH] 'prop' template has double
	  whitespace" from Paul Lange <palango@gmx.de>.

	* MonoDevelop.Ide.FindInFiles/Commands.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Ensured
	  that only one find in files dialog is open at a time.

2009-07-30  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui/IdePreferences.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/BuildPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.BuildPanelWidget.cs:
	  Added an option to enable building with xbuild.

2009-07-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/FileProvider.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Applied
	  search&replace patch from Daniel Newton
	  <djpnewton@gmail.com> with slight modifications.

	* ChangeLog: 

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Worked on
	  search&replace dialog. After a discussion in the monodevelop
	  mailing list most users said it should stay open after a
	  search.

2009-07-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Fix XML tags so that
	  search/replace in files commands have descriptions.

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: Reformatted.
	  It was using spaces instead of tabs for indenting.

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: If the new
	  project can't be written using the current solution format,
	  try to change the target framework.

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Use a load progress
	  monitor when reloading a project.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SelectFileFormatDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.SelectFileFormatDialog.cs:
	  When trying to save a project using a format which is not
	  supported by the current settings of the project, show a
	  dialog which allows choosing a new format.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionFolderNodeBuilder.cs:
	  Properly support moving items between solution folders of
	  the same solution (the ItemAddedToSolution is not fired
	  anymore in this case).

2009-07-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Changed exception template to fix a compiler warning.
	  (protected member in sealed class)

2009-07-29  Daniel Newton  <djpnewton@gmail.com>

	* MonoDevelop.Ide.FindInFiles/FileProvider.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	  Added current document and current selection to search 
	  and replace options.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/AuthorInformationPanel.cs:
	  Preferences are now always saved when closing the options
	  panel.

	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/WorkspaceNodeBuilder.cs:
	  When renaming a project or solution, rename the underlying
	  file too.

	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	  Flush.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: When
	  creating a project, make sure that the GAC references added
	  to the project actually exist. If they don't, use the
	  closest installed version. Fixes bug #483981 - [Regression]
	  C# Library projects have a bad reference to the System
	  library.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Templates/ProjectTemplate.cs:
	* MonoDevelop.Ide.Templates/CombineDescriptor.cs:
	* MonoDevelop.Ide.Templates/SolutionDescriptor.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs: Rewrite of
	  CombineDescriptor, now renamed to SolutionDescriptor. Patch
	  by Viktoria Dudka.

2009-07-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: Rewriten.
	  Patch by Viktoria Dudka.

2009-07-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/UnknownEntryNodeBuilder.cs:
	  Properly escape error text, since it may contain markup
	  chars.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ConfirmProjectDeleteDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ConfirmProjectDeleteDialog.cs:
	  When removing a project from a solution, show an option
	  which allows physically deleting the project files.

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/Scope.cs: Search in files now
	  support more than one file mask seperated by comma or
	  semicolon.

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Fixed
	  "Bug 523941 - Highlighted strings in search results are
	  invisible".

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/Commands.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Fixed 'Bug
	  523851 - Find in Files dialog should not be modal'.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/AuthorInformationPanel.cs:
	  Save preferences after changing author info.

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Set the preferences
	  for the root workspace item after loading.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Notify file creations when
	  focusing MD.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs: Keep track of file changes
	  when MD loses/gains the focus.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Execution/MonoExecutionParameters.cs:
	* MonoDevelop.Ide.Execution/MonoExecutionCustomizer.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* MonoDevelop.Ide.Gui.Dialogs/MonoExecutionParametersWidget.cs:
	* MonoDevelop.Ide.Gui.Dialogs/MonoExecutionParametersPreview.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.MonoExecutionParametersPreview.cs:
	  Added Mono Options customizer.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* options/KeyBindingSchemeVisualStudio.xml: Set correct
	  shortcuts for folding commands. Fixes bug #522255 - Key
	  shortcuts for code folding have inconsistent behaviour under
	  "Visual Studio" Key Bindings.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Commands/CustomStringTagProvider.cs: Return
	  the correct path for the ProjectDir and SolutionDir
	  variables. Patch by Federico Di Gregorio. Fixes bug #521864
	  - Setting External Tools working directory breaks the tool.

2009-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/ViewCommands.cs: Implemented "Bug
	  445699 - key binding for focusing text editor from
	  controls".

2009-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Fixed "Bug
	  520269 - Stop button is now useless".

2009-07-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Track API changes.

2009-07-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Fixed dispose of completion texteditor extension.

2009-07-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Fixed "Bug 518548 - Completion is very annoying on lambda
	  parameters".

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/FileProvider.cs: Fixed "replace"
	  feature.

2009-07-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/ProjectCommands.cs:
	* MonoDevelop.Ide.Execution/CustomExecutionMode.cs:
	* MonoDevelop.Ide.Execution/IExecutionModeEditor.cs:
	* MonoDevelop.Ide.Execution/CustomArgsCustomizer.cs:
	* MonoDevelop.Ide.Execution/CommandExecutionContext.cs:
	* MonoDevelop.Ide.Execution/CustomArgsExecutionMode.cs:
	* MonoDevelop.Ide.Gui.Components/ExecutionModeComboBox.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeWidget.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeDialog.cs:
	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	* MonoDevelop.Ide.Execution/IExecutionCommandCustomizer.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* MonoDevelop.Ide.Execution/IExecutionConfigurationEditor.cs:
	* MonoDevelop.Ide.Execution/ParameterizedExecutionHandler.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Components.ExecutionModeComboBox.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeManagerDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeManagerDialog.cs:
	  Finished support for custom execution modes.

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Use the shared
	  default execution handler.

2009-07-02  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.Templates/ProjectTemplate.cs: Rewritten from scratch
	  to make it non-GPL. 

2009-07-01  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Templates/FileTemplate.cs: rewritten GPL parts
	  rest based on monodevelop-only changes.

2009-07-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj: Removed unused references &
	  corrected gui.stetic.

2009-07-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Refactoring:
	* MonoDevelop.Ide.Refactoring/Rename.cs:
	* MonoDevelop.Ide.Commands/RefactoryCommands.cs:
	* MonoDevelop.Ide.Refactoring/RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Refactoring.RenameItemDialog.cs:
	* MonoDevelop.Ide.Refactoring/RefactoringPreviewDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Refactoring.RefactoringPreviewDialog.cs:
	  Moved refactoring support to an own assembly.

2009-07-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Execution:
	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Commands/ProjectCommands.cs:
	* MonoDevelop.Ide.Execution/IExecutionModeEditor.cs:
	* MonoDevelop.Ide.Execution/CommandExecutionContext.cs:
	* MonoDevelop.Ide.Execution/CustomArgsExecutionMode.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CustomExecutionModeWidget.cs:
	* MonoDevelop.Ide.Execution/ExecutionModeCommandService.cs:
	* MonoDevelop.Ide.Execution/ParameterizedExecutionHandler.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.CustomExecutionModeWidget.cs:
	  Initial support for parameterized execution modes.

2009-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	  Allow making a copy of a file in the same directory by
	  appending a 'copy' tag to the target file name. Fixes bug
	  #442041 - should be able to copy and paste a file within a
	  directory.

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: TransferFiles now
	  considers that the target path includes the target directory
	  or file name. In this way it is possible to make copies of
	  files or directories in the same folder.

2009-06-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Refactoring/RefactoringPreviewDialog.cs:
	  added file names for the diff.

2009-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassNodeBuilder.cs: Add
	  option for showing public+protected members only.

	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPadWidget.cs:
	  Removed relief from toolbar buttons.

2009-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Commands/FileCommands.cs: Implemented New
	  Workspace command. Improved label of the Close Solution
	  command. Use improved icons for new project and solution.
	  All this fixes bug #401403.

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Fix cast exception.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.Commands/SearchCommands.cs: If something is
	  selected in the editor when invoking the search type
	  command, use the text as initial search text.

2009-06-26  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Refactoring:
	* MonoDevelop.Ide.Refactoring/.svn:
	* MonoDevelop.Ide.Refactoring/Rename.cs:
	* MonoDevelop.Ide.Commands/RefactoryCommands.cs:
	* MonoDevelop.Ide.Refactoring/RenameItemDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Refactoring.RenameItemDialog.cs:
	* MonoDevelop.Ide.Refactoring/RefactoringPreviewDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Refactoring.RefactoringPreviewDialog.cs:
	  Worked on refactoring.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	  Allow dropping files from nautilus/explorer to the project
	  pad.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs: Get the default
	  msbuild file format from a const property.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Upgrade to latest msbuild
	  version when a new MD version is installed.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdePreferences.cs: Changed default
	  format to VS2008.

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectReferenceNodeBuilder.cs:
	  Use new project reference icons.

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/AuthorInformationPanel.cs:
	  Use the new api for accessing user properties of a solution.

	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Load/Save user
	  properties for projects and solutions.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui.Pads/FileListItem.cs:
	* MonoDevelop.Ide.Commands/FileCommands.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.Gui/AddinUpdateHandler.cs:
	* MonoDevelop.Ide.Templates/FileTemplate.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs:
	* MonoDevelop.Ide.FindInFiles/FileProvider.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* MonoDevelop.Ide.Gui.Content/TextEditorProperties.cs:
	* MonoDevelop.Ide.Gui.Dialogs/IncludeNewFilesDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFileNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	  Use the new DesktopService instead of PlatformService.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/WorkbenchMemento.cs: Update header. The
	  file is not derived from SD anymore.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ConfigurationComboBox.cs: Use a fixed
	  width.

2009-06-22  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Ide.Gui/DragNotebook.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	  Reduce unnecessary whitespace.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/ProjectCommands.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectReferenceNodeBuilder.cs:
	  Refresh project reference nodes if the status of the
	  reference changes. Added command for toggling the 'specific
	  version' property.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	  Disable the format command for documents which are not
	  formattable. Fixes bug #514756.

	* MonoDevelop.Ide.addin.xml: Moved Format Buffer command to
	  Edit/Format menu.

2009-06-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Fixed
	  template insertion.

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Templates are now formatted using the pretty print engine.

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Show a gradient
	  background when there are no documents opened.

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui\IdeStartup.cs: Restored incorrectly
	  removed BeginTask call.

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	  Changed the layout of the formatting panel. We use now an
	  VPaned instead of an HPaned. Also adde checkboxes for the
	  boolean options.

2009-06-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  Worked on formatting panel.

2009-06-16  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	  Worked on code format panel.

2009-06-16  Viktoria Dudka  <viktoriad@remobjects.com>
	* MonoDevelop.Ide.Commands\ToolsCommands.cs: Rewritten from scratch to make it non-GPL.

2009-06-16  Viktoria Dudka  <viktoriad@remobjects.com>
	* MonoDevelop.Ide.Commands\WindowCommands.cs: Rewritten from scratch to make it non-GPL.

2009-06-18  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Ide.Gui/CustomStringTagParser.cs: Rewritten from scratch to make it non-GPL. 

2009-06-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Fixed "Bug 513383
	  - Going to declaration of extension method of
	  System.Drawing.Bitmap crashes MD badly".

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GacReferencePanel.cs: Fix hiding
	  of mscorlib assemblies.

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Track assembly lookup APIs.

2009-06-01  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Ide.Commands\HelpCommands.cs:
	* MonoDevelop.Ide.Commands\ViewCommands.cs: rewritten from scratch to make it non-GPL.
	
2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs\FileSelectorDialog.cs: Fix gtk
	  warning.

	* MonoDevelop.Ide.Gui\DragNotebook.cs: For some reason
	  Pointer.IsGrabbed always returns false on windows.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml: Fix location of the formatting
	  policies panel in the policies dialog.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/ViewContentEventHandler.cs: Removed
	  unused file.

2009-06-09  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Ide.Commands\FileCommands.cs: Rewritten from scratch to make it non-GPL.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  Add support for per-mimetype policies.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Track api changes.

	* MonoDevelop.Ide.Gui.OptionPanels/TextStylePolicyPanel.cs:
	  Use the new dialog for mime-type formatting policies.

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.GoToDialog.cs:
	* gtk-gui/MonoDevelop.Ide.OverridesImplementsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewLayoutDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.OverrideTextSettingsPolicyWidget.cs:
	  Removed unused dialog.

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CodeFormatting/MonoTextStylePolicy.xml:
	* MonoDevelop.Ide.CodeFormatting/VisualStudioTextStylePolicy.xml:
	  Register new policies.

	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	  The default text settings are now provided by its own
	  mime-type formatting panel.

2009-06-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/RefactoryCommands.cs: Fixed "Bug
	  510773 - NRE when looking for derived classes".

2009-06-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Fixed "Bug 510319
	  – Search / Show Previous (Error List) (Shift-F4) is broken".

2009-06-05  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CodeFormatting/AddPolicyDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingCommands.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.AddPolicyDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	  Worked on C# formatter it should now fit better in the
	  policy system.

2009-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: Fixed "Bug 507065 - Edit / Insert
	  Template and Edit / Insert Standard Header have the same
	  keyboard shortcut (I)".

2009-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui\DefaultWorkbench.cs: Use all available
	  sizes for the main window icon.

2009-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui\DefaultWorkbench.cs: Use new stock icon.

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs:
	  Don't crash if the icon of the node is not set.

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.ExternalTools/ExternalToolService.cs:
	  XmlTextWriter.Settings is not initialized by default on
	  Windows. Patch by Carlo Kok.

2009-05-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs\FileSelectorDialog.cs: Fix glib
	  warning on windows.

2009-05-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui\IdePreferences.cs:
	* MonoDevelop.Ide.Gui\DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui.OptionPanels\IDEStyleOptionsPanel.cs:
	  Factorized access to ToolbarSize preference. Use small
	  toolbar by default.

	* MonoDevelop.Ide.Gui\RootWorkspace.cs: Fix issue when setting
	  the default runtime.

	* MonoDevelop.Ide.Gui\IdeStartup.cs: Theme api initialization
	  hack is not required anymore. That's now fixed in gtk#.

2009-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs: Don't
	  try to remove invalid iters from the nodeOptions hash, since
	  invalid iters can't generate a hash.

	* MonoDevelop.Ide.Gui/DisplayBindingService.cs: Fix null ref.

2009-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs: Avoid throwing
	  some exceptions using preventive checks. Patch by Carlo Kok.

2009-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: Fixed "Bug
	  504553 - Tyring to insert CW text snippet via double click
	  causes an unhandled exception.".

2009-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	  Fixed 'Bug 501345 - Editing code format profile results in
	  uncaught exception'.

2009-05-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui\MonoDevelopStatusBar.cs: Removed the
	  borders of the panel sections.

	* MonoDevelop.Ide.Gui\IdeStartup.cs: Removed duplicate
	  BeginTask call.

2009-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	* MonoDevelop.Ide.Templates/CodeTranslationFileDescriptionTemplate.cs:
	  Use a typed dictionary to store tags. Fixes bug #505760.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads\ErrorListPad.cs:
	* MonoDevelop.Ide.Gui.Pads\MonodocTreePad.cs:
	* MonoDevelop.Ide.Gui.Components\TreeNodeNavigator.cs:
	* MonoDevelop.Ide.Gui.OptionPanels\MonoRuntimePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs\SelectEncodingsDialog.cs:
	* MonoDevelop.Ide.Gui.Components\ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.Components\TransactedTreeBuilder.cs:
	  Don't use Gtk.TreeIter.Equals, since it's broken. Compare
	  TreePaths instead.

	* MonoDevelop.Ide.Tasks\TaskService.cs:
	  CommentTaskChangedEventArgs now provides the project of the
	  file. Use it instead of looking for it in the ide.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Yet another FilePath comparison fix.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Tasks/TaskService.cs:
	* MonoDevelop.Ide.Gui.Pads/ErrorListPad.cs:
	* MonoDevelop.Ide.Commands/RefactoryCommands.cs:
	* MonoDevelop.Ide.Gui/DocumentNavigationPoint.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Workaround for what seems to be a mcs bug. Looks like it
	  can't properly resolve the implicit conversion of null to
	  string.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Tasks\Task.cs:
	* MonoDevelop.Ide.Gui\Document.cs:
	* MonoDevelop.Ide.Gui\Workbench.cs:
	* MonoDevelop.Ide.Tasks\TaskService.cs:
	* MonoDevelop.Ide.Gui\RootWorkspace.cs:
	* MonoDevelop.Ide.Gui\ProjectOperations.cs:
	* MonoDevelop.Ide.Gui\DocumentNavigationPoint.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad\SystemFile.cs:
	* MonoDevelop.Ide.Gui.Content\TextEditorExtension.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad\ProjectFolder.cs:
	* MonoDevelop.Ide.Templates\SingleFileDescriptionTemplate.cs:
	  Use the new FilePath class for handling file and directory
	  paths.

2009-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/TextEditor.cs:
	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs:
	* MonoDevelop.Ide.Gui.Content/IEditableTextBuffer.cs: Fixed
	  "Bug 502586 - Edit / Format / Join Lines does not join blank
	  lines".

2009-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Added null check.

2009-05-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/MonoRuntimePanel.cs: Don't
	  allow removing autodetected runtimes.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: More Mac shortcuts.

2009-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Set the
	  path column as default sort column.

2009-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Fixed bug
	  in find in files dialog.

2009-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Worked on
	  find in files dialog.

2009-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Worked on
	  find in files dialog.

2009-05-05  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	  Worked on find in files dialog.

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Make sure glib threading
	  is initialized in win32.

2009-05-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Fixed "Bug 442022
	  - CTRL+W should switch between files in same order as they
	  were opened".

2009-04-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs: Add subword
	  commands.

2009-04-30  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	  Worked on find in files dialog.

2009-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DisplayBindingService.cs: Work around
	  Mono 2.0 compiler bug.

2009-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.FindInFiles/HslColor.cs: Fix build with csc.
	  See mcs bug 421838 - CS0188 is not triggered by property
	  setters.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DisplayBindingService.cs: Merged the get
	  binding uri/mime type call (otherwise the display binding
	  order isn't respected correctly).

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Codons/IDisplayBinding.cs:
	* MonoDevelop.Ide.Gui/DefaultDisplayBinding.cs:
	* MonoDevelop.Ide.Gui/DisplayBindingService.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Display bindings can now "choose" if they want handle files
	  & file names or mime types.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/IWorkbenchWindow.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Gui.BrowserDisplayBinding:
	* MonoDevelop.Ide.Codons/IDisplayBinding.cs:
	* MonoDevelop.Ide.Gui/DisplayBindingService.cs:
	* MonoDevelop.Ide.Gui/DefaultDisplayBinding.cs:
	* MonoDevelop.Ide.Gui/IAttachableViewContent.cs:
	* MonoDevelop.Ide.Codons/IBaseDisplayBinding.cs:
	* MonoDevelop.Ide.Codons/DisplayBindingCodon.cs:
	* MonoDevelop.Ide.Codons/IAttachableDisplayBinding.cs:
	* MonoDevelop.Ide.Gui/AbstractAttachableViewContent.cs:
	* MonoDevelop.Ide.Gui.BrowserDisplayBinding/HtmlViewPane.cs:
	* MonoDevelop.Ide.Gui.BrowserDisplayBinding/BrowserDisplayBinding.cs:
	  Added attachable view contents. These are view contents that
	  are displayed in the same document as notebook (like
	  designers). Cleaned up some naming.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/FileViewer.cs:
	* MonoDevelop.Ide.Gui/IWorkbenchWindow.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.Codons/IDisplayBinding.cs:
	* MonoDevelop.Ide.Codons/FileFilterCodon.cs:
	* MonoDevelop.Ide.Codons/ISubDisplayBinding.cs:
	* MonoDevelop.Ide.Gui/ISecondaryViewContent.cs:
	* MonoDevelop.Ide.Gui/DisplayBindingService.cs:
	* MonoDevelop.Ide.Gui/DefaultDisplayBinding.cs:
	* MonoDevelop.Ide.Codons/DisplayBindingCodon.cs:
	* MonoDevelop.Ide.Gui/AbstractSecondaryViewContent.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	  Removed some unused code (subview bindings. They were ment
	  to be used by 'designers' like stetic. But stetic doesn't
	  use it.). Reworked the display binding subsystem (updated
	  display binding service to static class model).

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui.Dialogs/IncludeFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/IncludeNewFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.IncludeFilesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.IncludeNewFilesDialog.cs:
	  Fixed "Bug 491107 - Unexpected behavior of "Automatically
	  include found files" from project options". Replaced the old
	  GPLed inclutde new files dialog with a new version.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml: Fixed "Bug 498901 - Missing
	  keybindings for Expand Selection To Next/Prev word".

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Only call
	  GetString for != null values.

2009-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFile.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolderNodeBuilder.cs:
	  Added ParentWorkspaceObject to SystemFile and ProjectFolder,
	  which replaces the old Project property. It is required
	  because now it is possible to show hiddem folders and files
	  as children of a solution.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Added missing
	  getstring call.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs: Added
	  missing gettext call.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs: Added
	  missing Gettext call.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPadWidget.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	  Removed some delegate methods and added explicit event
	  handlers.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/LoadSavePanel.cs: Added
	  missing translation string.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.FindInFiles/HslColor.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	  Worked on find in files dialog.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.FindInFiles/HslColor.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/IDEStyleOptionsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	  Worked on search result box theming. Should now work with
	  more gtk+ styles and color sheme combinations. Removed the
	  UseEditorTheme 'feature' (the new one should work as
	  expected).

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/EditCommands.cs:
	* MonoDevelop.Ide.Templates/FileTemplate.cs:
	* MonoDevelop.Ide.Templates/ProjectTemplate.cs:
	* MonoDevelop.Ide.Gui.Dialogs/RenameItemDialog.cs:
	* MonoDevelop.Ide.Templates/FileDescriptionTemplate.cs:
	* MonoDevelop.Ide.StandardHeader/StandardHeaderService.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Reimplemented language binding service.

2009-04-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Initialize the
	  ImageService before showing the GUI so that it can register
	  stock icons for GTK before they get requested by the
	  toolbars, etc. Fixes invisible icon bug.

2009-04-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Add default
	  handler for Edit References command.

2009-04-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: On Windows, touch Win32
	  before GTK, to make sure GTK native theme is inited
	  correctly.

2009-04-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: More Mac shortcuts. Add "Edit
	  references" command to the Project menu. Fix Search menu ID
	  typo.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Search is
	  now the default button.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: File name
	  column is now resizable.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Codons/WindowOpenCondition.cs:
	* MonoDevelop.Ide.Codons/ProjectOpenCondition.cs:
	* MonoDevelop.Ide.Codons/WindowActiveCondition.cs: Removed
	  some old unused code.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui.Content/IParsableContent.cs: Removed
	  unused interface.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Fix Bug 497833 - When loading
	  .sln from command line: MonoDevelop failed to start:
	  Collection is read-only.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs: Track
	  KeyBindingManager API.

2009-04-23  Federico Di Gregorio  <fog@initd.org>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectReferenceFolderNodeBuilder.cs:
	  Show Edit References dialog when double-clicking on the
	  References folder.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Commands/TextEditorCommands.cs: Add commands
	  for ScrollPageDown and ScrollPageUp.

	* MonoDevelop.Ide.addin.xml: Add commands for ScrollPageDown
	  and ScrollPageUp. Add some Mac shortcuts.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	* MonoDevelop.Ide.Gui.OptionPanels/IDEStyleOptionsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ExportProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.ExternalTools.ExternalToolPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.GlobalAuthorInformationPanelWidget.cs:
	  Added an option to set search result pad theming.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Handled
	  use theme color change.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Worked on
	  color adjustment.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Added
	  simple color adjustment to handle the 'oblivion' problem.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Search
	  result widget is now themed.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Replaced
	  search algorithm implementation (The old one didn't work as
	  expected). FileMask is now preserved.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs: Fixed bug
	  in find in files dialog.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/FilterOptions.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Respect
	  case sensitive & search whole words only options.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs: Now using
	  Boyer-Moore searching algorithm for pattern matching.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui.Search:
	* MonoDevelop.Ide.Gui.Search/IFind.cs:
	* MonoDevelop.Ide.FindInFiles/Scope.cs:
	* MonoDevelop.Ide.Gui/ProgressMonitors.cs:
	* MonoDevelop.Ide.FindInFiles/Commands.cs:
	* MonoDevelop.Ide.Gui.Search/DefaultFind.cs:
	* MonoDevelop.Ide.Commands/SearchCommands.cs:
	* MonoDevelop.Ide.Gui.Search/SearchResult.cs:
	* MonoDevelop.Ide.FindInFiles/FindReplace.cs:
	* MonoDevelop.Ide.Gui.Search/ITextIterator.cs:
	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui.Pads/SearchResultPad.cs:
	* MonoDevelop.Ide.FindInFiles/FileProvider.cs:
	* MonoDevelop.Ide.Gui.Search/SearchOptions.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResult.cs:
	* MonoDevelop.Ide.FindInFiles/FilterOptions.cs:
	* MonoDevelop.Ide.Gui.Search/ISearchStrategy.cs:
	* MonoDevelop.Ide.Commands/RefactoryCommands.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultPad.cs:
	* MonoDevelop.Ide.Gui.Search/IDocumentIterator.cs:
	* MonoDevelop.Ide.Gui.Search/KMPSearchStrategy.cs:
	* MonoDevelop.Ide.FindInFiles/FindInFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Search/RegExSearchStrategy.cs:
	* MonoDevelop.Ide.Gui.Search/DefaultSearchResult.cs:
	* MonoDevelop.Ide.FindInFiles/SearchResultWidget.cs:
	* MonoDevelop.Ide.Gui.Search/IDocumentInformation.cs:
	* MonoDevelop.Ide.Gui.Search/ExtendedStreamReader.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.Gui.Search/FilesDocumentIterator.cs:
	* MonoDevelop.Ide.Gui.Search/SearchProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ReplaceInFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Search/ISearchProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Search/WildcardSearchStrategy.cs:
	* MonoDevelop.Ide.FindInFiles/SearchProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Search/SearchReplaceUtilities.cs:
	* MonoDevelop.Ide.Gui.Search/ForwardTextFileIterator.cs:
	* MonoDevelop.Ide.FindInFiles/ISearchProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Search/FileDocumentInformation.cs:
	* MonoDevelop.Ide.Gui.Search/AllOpenDocumentIterator.cs:
	* MonoDevelop.Ide.Gui.Search/BruteForceSearchStrategy.cs:
	* MonoDevelop.Ide.Gui.Search/DirectoryDocumentIterator.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.FindInFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Search/SearchReplaceInFilesManager.cs:
	* gtk-gui/MonoDevelop.Ide.FindInFiles.SearchResultWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ExportProjectDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Search/WholeCombineDocumentIterator.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ReplaceInFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/WorkspaceNodeBuilder.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.FeatureSelectorDialog.cs:
	* MonoDevelop.Ide.Gui.Search/CurrentProjectDocumentIterator.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionFolderNodeBuilder.cs:
	* gtk-gui/MonoDevelop.Ide.ExternalTools.ExternalToolPanelWidget.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FileOperationsBuilderExtension.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.GlobalAuthorInformationPanelWidget.cs:
	  Worked on search & replace in files feature.

2009-04-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Commands/WindowCommands.cs: Use
	  PropertyService.IsMac.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Tasks/CommentTasksView.cs: Track comment tag
	  API.

	* MonoDevelop.Ide.StandardHeader/StandardHeaderService.cs: Add
	  support for multi-line comments when the langauge doesn't
	  support single-line comments.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.StandardHeader/StandardHeaderPolicyPanel.cs:
	  Revert change that broke equality checking.

2009-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.csproj: Added new files.

	* MonoDevelop.Ide.Commands/ProjectCommands.cs: Implemented new
	  "Run With" command which allows running a project using a
	  special execution mode.

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.OptionPanels/MonoRuntimePanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.MonoRuntimePanelWidget.cs:
	  Implemented new panel for registering parallel mono
	  enivornments.

	* MonoDevelop.Ide.addin.xml: Registered new options panel and
	  new command.

	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	  Flush.

	* Makefile.am: Updated.

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Added some
	  overloads to the Run command.

	* MonoDevelop.Ide.Gui/RootWorkspace.cs:
	* MonoDevelop.Ide.Gui/IdePreferences.cs: Allow selecting the
	  active runtime to be used for building and running the
	  project.

	* MonoDevelop.Ide.Gui/ConfigurationComboBox.cs: The project
	  configuration combo box now also allows selecting the active
	  runtime.

	* MonoDevelop.Ide.Gui/Ide.cs: Initialize the preferences
	  object before the workspace, since it may be required before
	  any other object.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/InternalLog.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.Gui/AddinUpdateHandler.cs:
	* MonoDevelop.Ide.Templates/FileTemplate.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs:
	* MonoDevelop.Ide.Templates/ProjectTemplate.cs:
	* MonoDevelop.Ide.Gui/StatusProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.Gui/BackgroundProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ProjectReferencePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OverridesImplementsDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPadWidget.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFileNodeBuilder.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/UnknownEntryNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/LinkedFilesFolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	  Renamed PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.StandardHeader/StandardHeaderPolicyPanel.cs:
	  Fixed "Bug 491090 - Standard Header doesn't work".

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/TextEditor.cs:
	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: Track API
	  changes.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide/Services.cs:
	* MonoDevelop.Ide.Gui/InternalLog.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui/AddinUpdateHandler.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.Templates/FileTemplate.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs:
	* MonoDevelop.Ide.Templates/ProjectTemplate.cs:
	* MonoDevelop.Ide.Gui/StatusProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.Gui/BackgroundProgressMonitor.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ProjectReferencePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/OverridesImplementsDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ClassBrowserPadWidget.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFileNodeBuilder.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/UnknownEntryNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/LinkedFilesFolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	  Track API changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Ide.csproj: don't require gtk-sharp specific version.
	* MonoDevelop.Ide.Gui/Ide.cs: fix a csc unitialized var error.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide/Services.cs:
	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs:
	* MonoDevelop.Ide.Gui.Pads/SearchResultPad.cs:
	* MonoDevelop.Ide.Gui/MonoDevelopStatusBar.cs:
	* MonoDevelop.Ide.Gui.Components/TreeBuilder.cs:
	* MonoDevelop.Ide.Gui.Dialogs/ProjectReferencePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SelectReferenceDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/ProjectNodeBuilder.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFileNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/UnknownEntryNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	  Removed icon service.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj: 

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui.Content/ICustomizedCommands.cs: Removed
	  unused interface.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui.Pads/TreeViewPad.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Changed
	  IMementoCapable interface.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Commands/FileCommands.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	  Worked on recent open.

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Pads/MonodocTreePad.cs: Use new
	  Node.PublicUrl property when possible (Mono 2.6+).

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/Ide.cs: Add an OpenFiles method.

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Avoid unnecessary
	  SplashScreen creation.

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Don't show the splash
	  screen on Mac, so that we get the dock "bounce" while it
	  starts up. Force platform services to initialise ASAP, right
	  after the runtime, so that the Mac platform can subscribe to
	  file-open events. When splash screen isn't shown, use a
	  console progress monitor instead.

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs: Present the parent
	  window is after switching, since some windows managers
	  (Mac!) may not restore focus automatically.

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Commands/WindowCommands.cs: Use Mac command
	  key for numbered tab switching.

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs: Remove the www prexfix
	  from the MD homepage URL.Thanks to Grzegorz Sobanski for the
	  patch.

2009-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	  Worked on edit template dialog.

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs: 

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GacReferencePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SelectReferenceDialog.cs: Moved
	  SystemAssemblyService and related classes to the namespace
	  MonoDevelop.Core.Assemblies.

2009-04-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/BackgroundProgressMonitor.cs: Handled
	  null icon for background progress. (Bug 495375 - Exception
	  while trying to rename a field.)

2009-04-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs: Use
	  BindingToDisplayLabel to format the commands in a
	  platform-specific way. Do KeyBindingManager to do the
	  captures, since it handle platform-specific issues.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* BuildVariables.cs:
	* MonoDevelop.Ide.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs:
	* MonoDevelop.Ide.Gui.Dialogs/GacReferencePanel.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SelectReferenceDialog.cs:
	* MonoDevelop.Ide.Templates/SingleFileDescriptionTemplate.cs:
	  Track api changes to support multiple target runtimes.

2009-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Added patch from Levi Bard
	  <taktaktaktaktaktaktaktaktaktak@gmail.com>: Perform initial
	  parse asynchronously.


2009-04-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Made the 'undo' of code completion operations more
	  intelligent.

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/RefactoryCommands.cs: Fixed error
	  in resolve command.

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/RefactoryCommands.cs: Fixed bug in
	  resolve type feature.

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: handled
	  strings in GetLenghtOrCount expansion method.

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.Gui.Dialogs/RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.RenameItemDialog.cs:
	  implemented Bug 414735 - Rename refactoring should not allow
	  invalid names

	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs: 

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs: Implemented
	  "Bug 492675 - New line & ; at end of line".

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs: Added
	  ctrl+return/shift+return commands.

2009-04-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/DefaultWorkbench.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceLayout.cs: Change the
	  platform service method for installing the global menu so
	  that it uses a command path instead of a GTK menu.

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Commands/RefactoryCommands.cs: Added
	  "resolve namespace" feature.

2009-03-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs: fixed "Bug
	  489051 - Textcursor malplaced 3 lines when moving lines of
	  code with alt+arrow".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* options/KeyBindingSchemeVisualStudio.xml: fixed "Bug 487424
	  - Ctrl + L doesn't delete the current line in VS profile".

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: added
	  comment

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs:
	  Filtered expression templates from code completion.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Set link for
	  fallback data.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Handled
	  empty/invalid function result.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Added template versioning.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Added support for contextual templates.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	  Cleaned up some source.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/IUndoHandler.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeFormatting/AddPolicyDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateVariable.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormatterService.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	* MonoDevelop.Ide.CodeFormatting/OverrideTextSettingsPolicyWidget.cs:
	  Fixed headers.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	  Track api changes.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	  Changed list provider interface.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  removed debug message.

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Worked on
	  "surround with" indenting.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: removed
	  debug message.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	  Added show code template command.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateVariable.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateListDataProvider.cs:
	  Added icons to the template completion list.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Worked on templates.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Handled
	  single file case.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: Fixed
	  resolve position for GetCountOrLength

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: Worked on
	  template callbacks.

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs: Worked on
	  multi item callback.

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Set standard
	  values.

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* options/KeyBindingSchemeMonoDevelop2.xml: Set the help tree
	  key to alt+shift+f1. ctrl+f1 conflicts with the tooltip
	  popup key.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	  Changed edit template dialog.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/EditVariablesDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateVariable.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditVariablesDialog.cs:
	  Worked on code template edit dialog.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateVariable.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	  Templates can now specify a set of values.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/IWorkbenchWindow.cs:
	* MonoDevelop.Ide.Gui/SdiWorkspaceWindow.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.Gui.Content/ITextEditorResolver.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	  Implemented template function callbacks.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	  Added ICodeTemplateWidget interface.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs: Worked on
	  text link edit mode.

2009-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Avoid using
	  IdeApp.Workbench.ProgressMonitors because it is a gui sync
	  object, and it's an unnecessary thread transition.

2009-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/BackgroundProgressMonitor.cs: Make sure
	  BackgroundProgressMonitor is fully asynchronous. Should fix
	  deadlock in the parser service, which uses this progress
	  monitor to notify parsing progress.

2009-03-19  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplate.cs:
	* MonoDevelop.Ide.Commands/TextEditorCommands.cs:
	* gtk-gui/MonoDevelop.Ide.SelectEncodingsDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/ExpansionObject.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplatePanel.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateGroup.cs:
	* MonoDevelop.Ide.CodeTemplates/EditTemplateDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/EditVariablesDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateVariable.cs:
	* MonoDevelop.Ide.CodeTemplates/MonoDevelop-templates.xml:
	* MonoDevelop.Ide.CodeTemplates/EditTemplateGroupDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditTemplateDialog.cs:
	* MonoDevelop.Ide.CodeTemplates/CodeTemplateCompletionData.cs:
	* MonoDevelop.Ide.Gui.Content/CompletionTextEditorExtension.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.EditVariablesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeTemplates.CodeTemplatePanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	  Worked on code template system, added surround templates.
	  (Edit template mode still missing in the text editor, but
	  the templates should be already more useful than before.)

2009-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Add
	  missing mike.

2009-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Updated
	  authors list.

2009-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* icons/AboutImage.png:
	* icons/SplashScreen.png:
	* MonoDevelop.Ide.csproj:
	* icons/AboutImageSep.png:
	* MonoDevelop.Ide.Gui.Dialogs/SplashScreen.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: New art
	  for the splash window and about dialog.

	* MonoDevelop.Ide.Gui/HelpOperations.cs: Added null check.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	  Worked on formatting policy dialog.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	  Worked on edit formatting dialog.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	  worked on edit formatting policy dialog.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Gui/RootWorkspace.cs: Correct string
	  messages.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/OverrideTextSettingsPolicyWidget.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.OverrideTextSettingsPolicyWidget.cs:
	  Added code format widget.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	  Removed debug message.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	  Worked on code formatting.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs:
	* gtk-gui/MonoDevelop.Ide.SelectEncodingsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ExportProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AddInsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:


	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	  Using Mono.TextEditor in code format panels.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic: 

	* gtk-gui/MonoDevelop.Ide.DocumentSwitcher.cs:
	* gtk-gui/MonoDevelop.Ide.SelectEncodingsDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewFileDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.ExportProjectDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.KeyBindingsPanel.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.OptionPanels.AddInsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	  Worked on code format panel.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.addin.xml: 

	* MonoDevelop.Ide.CodeFormatting/AddPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.TipOfTheDayWindow.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.AddPolicyDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	  Worked on code formatting.

2009-03-12  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.CodeFormatting/AddPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.AddPolicyDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	  Worked on code formatter.

2009-03-11  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.CodeFormatting/AddPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.AddPolicyDialog.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.FeatureSelectorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanel.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanelWidget.cs:
	  Worked on code formatting.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/TreeViewItem.cs: Fix
	  potential cast exception.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewLayoutDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.NewProjectDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.FeatureSelectorDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanel.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	  Removed text editor reference.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.CodeFormatting:
	* MonoDevelop.Ide.CodeFormatting/CodeFormatterService.cs:
	* MonoDevelop.Ide.CodeFormatting/CodeFormattingPolicyPanel.cs:
	* MonoDevelop.Ide.CodeFormatting/EditFormattingPolicyDialog.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.CodeFormattingPolicyPanel.cs:
	* gtk-gui/MonoDevelop.Ide.CodeFormatting.EditFormattingPolicyDialog.cs:
	  Added code formatting panels.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/MonodocTreePad.cs: Don't try to
	  fill the tree when there is no help tree.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads/MonodocTreePad.cs: Possible fix for
	  bug #483723 - Gtk-criticals infinite loop.

2009-03-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Content/IUndoHandler.cs: corrected code
	  style.

2009-03-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj: 

	* MonoDevelop.Ide.Gui/ViewCommandHandlers.cs:
	* MonoDevelop.Ide.Gui.Content/IUndoHandler.cs:
	* MonoDevelop.Ide.Gui.Content/IEditableTextBuffer.cs: Moved
	  undo/redo function to an own interface.

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs: Added silk
	  icons to about dialog.

2009-03-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.Components/TransactedTreeBuilder.cs:
	  Reset the transaction store field of the tree before
	  committing, since while committing there may be further
	  changes in the tree, and those should not be done using the
	  current store. Fixes bugs #481179 and #479158.

2009-03-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.addin.xml: Removed dead web page link from
	  main menu, added new ones.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.CodeTemplates/CodeTemplateService.cs: Make
	  use of template icon.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs:
	* MonoDevelop.Ide.Gui/Workbench.cs:
	* MonoDevelop.Ide.Gui/DocumentSwitcher.cs: Fixed "Bug 444416 -
	  CTRL+TAB should switch between files in same order as they
	  were opened". Taken the patch from David Goemans
	  <dgoemans@gmail.com> and many good ideas from Michael
	  Hutchinson (but not all ^^).

2009-03-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Search/FilesDocumentIterator.cs:
	* MonoDevelop.Ide.Gui.Search/DirectoryDocumentIterator.cs:
	  Skip over files that aren't text files.

2009-03-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Search/CurrentProjectDocumentIterator.cs:
	  Saner implementation. Don't add duplicate files.

2009-03-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Pads/SearchResultPad.cs: Partial
	  workaround for results that have a bad encoding.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Remove unused dialog.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj:
	* MonoDevelop.Ide.Gui.Dialogs/BreakpointPropertiesDialog.cs:
	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.BreakpointPropertiesDialog.cs:
	  Breakpoint properties dialog moved to MD.Debugger.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/Document.cs: Fixed NRE when the current
	  view does not have a file name.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/NodeCommandHandler.cs: Make
	  sure the default implementation of CanDeleteMultipleItems is
	  used if CanDeleteItem is overriden.

2009-02-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Better message for
	  saving before building. Thanks to Bálint Kriván.

2009-02-28  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/MonoDevelop.Ide.Gui.Dialogs.EncapsulateFieldDialog.cs:
	  Flush.

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/DirectoryTemplate.cs: Only add the
	  directory if it's explicit, i.e. when there are no inner
	  contents.

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	  Handle directories that are explicitly included in the
	  project.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Translation fixes. Patch from
	  Kriván Bálint.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ShowAllFilesBuilderExtension.cs:
	  Make the show hidden files work for all folder items.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectReferenceNodeBuilder.cs:
	  If the reference is not valid, display the validation error
	  message.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Templates/ProjectDescriptor.cs: Add the
	  ability to set SpecificVersion in templates.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/IdeStartup.cs:
	* MonoDevelop.Ide.Gui/StartupInfo.cs: Show the splash window
	  while the runtime is being initialized.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui/ProjectOperations.cs: Use the active
	  configuration by default when opening the project options.
	  Fixes bug #479535.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	  Worked on property pad translation.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.addin.xml: Fix translatable strings.

2009-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Ide.Gui.Components/PadTreeView.cs: Dispose is
	  not guaranteed to be called when a widget is destroyed. Use
	  OnDestroyed instead.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/GoToDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/DirtyFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SharpDevelopAboutPanels.cs:
	  Changed override Destroy --> override OnDestroyed.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Ide.Gui.Dialogs/NewFileDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/NewProjectDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/DirtyFilesDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/CommonAboutDialog.cs:
	* MonoDevelop.Ide.Gui.Dialogs/SharpDevelopAboutPanels.cs:
	  Worked on ressource de-allocation.

2009-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	  Partial reversion of last patch. Don't double-translate, but
	  still include "other" in the sort.

2009-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Ide.Gui.OptionPanels/KeyBindingsPanel.cs:
	  Translate categories. Sort on translated category names.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Ide.csproj: Added new files.

	* MonoDevelop.Ide.Gui/Ide.cs: When registering for the
	  Initialized event, fire it if the IDE has already been
	  initialized.

	* MonoDevelop.Ide.Gui.Pads/TreeViewPad.cs:
	* MonoDevelop.Ide.Gui.Pads/SolutionPad.cs:
	* MonoDevelop.Ide.Codons/SolutionPadCodon.cs:
	* MonoDevelop.Ide.Gui.Components/ExtensibleTreeView.cs:
	* MonoDevelop.Ide.Gui.Components/NodeCommandHandler.cs:
	* MonoDevelop.Ide.Codons/PadContextMenuExtensionNode.cs: Allow
	  setting the default context menu to be used when none is
	  specified for a node type.

	* MonoDevelop.Ide.addin.xml:
	* MonoDevelop.Ide.Codons/ProjectActiveCondition.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFile.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolder.cs:
	* MonoDevelop.Ide.Gui.Pads.ClassPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectSolutionPad.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/WorkspaceNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SystemFileNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFileNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/UnknownEntryNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectFolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/SolutionFolderNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/ProjectReferenceNodeBuilder.cs:
	* MonoDevelop.Ide.Gui.Pads.ProjectPad/FileOperationsBuilderExtension.cs:
